2025-07-11

# Intelligence explosion

Disclaimer
 - This is a thought experiment. Qualitative not quantative, I'm not defending the exact numbere here.
 - I don't convey anything novel here. The original argument is atleast 25 years old, but includes LLM-specific knowledge from 2025.

## Summary

 - Intelligence explosion
   - Imagine [Elon Musk's Memphis datacentre](https://www.youtube.com/watch?v=Jf8EPSBZU7Y) contains 6000 amnesiac humans doing 100 years of thinking every 1 year of wallclock time.
   - By 2030, we may have 100,000-1,000,000 geniuses smarter than Einstein doing 10-100 years of thinking per year of wallclock time.
   - Within 1 year we might go from "slightly superhuman individual" to "unimaginably superhuman parallel civilisation"
 - Recursive self-improvement
   - Also these geniuses are researching how to edit their brains to become even smarter. This may or may not happen but is an accelerant if it does.
 - Moore's law and similar
   - And the number of genius doubles every 2.5 years, so by 2040 or 2050 we could have billions of such researchers.

## Main

Why and who?
 - A lot of people who studied AI but not AI risk are unaware of arguments for intelligence explosion or recursive self-improvement. This document is for you, if you're one of them.
 - Even among the few people who discuss it, I sometimes find unclear distinction between serial and parallel computation. This document is also for you.

**If you have not used the latest AI models (as of 2025-04 this is GPT4.5 and o3), I strongly recommend you go try them out before reading any discussion such as the one below.**

Example
 - For now I'll copy paste the numbers I calculated previously
 - Assume Llama3 405B inference on a 2x8xH200 SXM GPU node as of 2025

```
GPU node cost = $300k

$/token = e * $1.44/1M tokens

tokens/s = (2646/e) tokens / s
```

Superhuman
 - Let us imagine this model is at slightly superhuman capability in some domain. (Llama3 is not, but let's imagine for now it was.)

Parallel
 - If humanity spends $300B we get 1 million such nodes (2x8xH200) running in parallel. This is around ~$40 per capita (global) and is likely affordable only to a handful of govts. 

Serial
 - However each node is producing (2646/e) tokens/s. Let's make simplifying assumption that this is 1000 tokens / second. This is about two A4 sized pages of printed text in Arial font 12.
 - If you've used any latest AI model and sampled 1000 tokens, you have an intuitive understanding of what this looks like.
 - As a human if you had a device in your brain recording every thought you had that's probably not more than 1000 A4 pages of text per day. The AI however is producing 150,000 A4 pages of text per day. So the AI is thinking atleast 100 times faster than you.

In total we have 1 million nodes each of which is thinking 100 times faster than a human, and is slightly smarter than a human.

Assumptions made so far:
 - We have a model with as many parameters as Llama3 that is slightly superhuman
 - It can produce 1000 tokens / second on a 2x8xH200 GPU, which is not that far off from real LLMs.

Now let's do some thought experiments.

#### Serial

Imagine you had 1 year to complete a research paper and your fellow researcher had 100 years to complete the paper.

Imagine you had 10 years to complete a research paper and your fellow researcher had 1000 years to complete the paper.

This is already likely to produce outputs beyond your imagination. Humans rarely spend their entire lifetime dedicated to a problem in a way that they actually continuously keep making progress. At some point most humans give up and substitute their time with fake busy work or with an alternate task.

If you could spend 1000 years focussed on one single task, you would already be capable of superhuman feats.

#### Parallel

Imagine your country had 1 million PhD researchers and the opponent country had 1 million PhD researchers.

However your country employs this PhD research force to solve thousands of different problems, whereas the opponent country employs all of them to solve one singular problem. Your researchers get bored, don't take orders and follow their own curiosity. The opponent country is a dictatorship where researchers can summon the same level of curiosity on demand to work on whatever research project the dictator recommends.

#### Serial and parallel combined

Now imagine the above two effects combined.

Your country has 1 million PhD researchers scattered across 1000 different topics. They have 1 year to do their work.

The opponent country has 1 million PhD researchers all focussed on the same project. They have 100 years to do their work.

If any of the researchers in their country uncovers an insight in year 1, it is used as input by all the million researchers in year 2. If any insight is uncovered in year 2, it is used as input for year 3.

It is obvious that for almost any human-underestandable problem, this opponent country would have made so much progress within a few years itself that the work they produce would take multiple years just for your country to comprehend.

#### Parallel and superhuman combined

Imagine your country has 1 million PhD researchers focussed on 1000 topics and the opponent country has 1 million researchers smarter than Einstein (or any other outlier-brilliant researcher) all focussed on the same topic.

Whether you believe scientific progress is driven more by a handful of outlier researchers or by a collective of median researchers, it is obvious this country will make a lot more progress than yours.

#### Serial and parallel and superhuman combined

Imagine your country has 1 million PhD researchers focussed on 1000 research topics and has 1 year to solve a problem.

Imagine your opponent country has 1 million researchers smarter than Einstein focussed on the same research topic, and they have 100 years to solve the problem.

#### Serial and parallel and superhuman and RSI combined

Recursive self-improvement (RSI) is the idea that the AI can do research on itself and improve its own intelligence. It is an open question to what extent this is possible. Worst case you can assume no RSI is possible.

Human beings are not able to recursively self-improve because our knowledge of neuroscience has not advanced to the point where we can edit our own neurons with a machine. Likewise knowledge of genetics has only recently advanced to the point where we can edit our own genes. If we could edit our neurons or our genes, we could probably increase our own intelligence.

An AI can trivially edit its own weights and its training algorithm and so on. So it is likely atleast some amount of recursive self-improvement is possible. How much is unknown.

Imagine your country has 1 million PhD researchers focussed on 1000 research topics and has 1 year to solve a problem.

Imagine your opponent country has 1 million researchers smarter than Einstein focussed on the same research topic, and they have 100 years to solve the problem. Also, the problem their country is solving for the first 90 years is how to edit their own brains to become even smarter. Only in the last 10 years do they try to solve the actual problem you're competing with them on.

So on year 1 you're competing with a country full of people smarter than Einstein. On year 2 you're competing with a country full of people who have edited their brains to become even smarter than that. On year 3 you're competing with a country full of people who have edited their brains to become even smarter than that.

This is what our civilisation coming into contact with superintelligent AI could look like. By starting from an assumption of "imagine Llama3 but slightly superhuman" we have reached "unimaginably superhuman" within the span of one year.

**If "Llama3 but slightly superhuman" is possible in 2030, "unimaginably superhuman AI civilisation" may be possible by 2031 as per above set of thought experiments.**

A lab is still required to perform experiments, so it's possible the rate of progress becomes a lot more dependent on the experiments per dollar of the lab rather than the intelligence of the people using the lab. This is also true for AI research, where the lab is essentially a separate GPU cloud that this GPU cloud of 1 million thinking nodes can use to run experiments.

Open questions
 - AI-automated lab research - AI controls a lab (in biology, chemistry, etc) and decides which experiments to run
   - Research progress per FLOP of training compute
   - Research progress per FLOP of inference compute
     - (Historically it has not been possible to teach models using inference, only training could teach them.)
   - Research progress per dollar spent on lab experiments
   - Ratio of all three values above will decide dollars spent on each
 - AI-automated AI research - AI controls a datacentre "lab" and decides which experiments to run
   - Research progress per FLOP of training compute
   - Research progress per FLOP of inference compute
   - Research progress per FLOP of "lab" compute
   - Ratio of all three values above will decide dollars spent on each
