2025-06-04

# Superintelligent AI timelines

## Summary

My view as of 2025-06
 - P(ASI by 2030) = 25%
   - P(ASI by 2030 && human extinction due to ASI by 2030) = 7.5%
   - P(ASI by 2030 && >100y half-life stable dictatorship due to ASI by 2030) = 10%
   - P(ASI by 2030 && unknown unknown third outcome by 2030) = 7.5%

My view from 2023 to early 2025
 - P(ASI by 2030) = 15%
   - P(ASI by 2030 && human extinction due to ASI by 2030) = 5%

My view before 2022
 - Didn't take ASI as a serious threat, but was vaguely curious about it. My internet username since 2015: [ghosts_in_the_code](https://stackoverflow.com/users/4436162/ghosts-in-the-code)

## Update

Update (2025-04-24): The numbers in the previous version of this document might be outdated.
 - My new prediction is 25% probability of superintelligent AI by 2030. (My old prediction was 15%.) I haven't thought as much as I'd like about it.
   - The main thing that updated me was seeing o3 make multiple novel inductive/deductive reasoning steps on top of each other without high hallucination rate.
   - In general GPT4 seems capable of making novel reasoning steps, but it usually just makes one or two steps and then stops. If you start the next inference, any previous progress is lost. A human is capable of making hundreds of novel reasoning steps in series, each step dependent on the previous steps.
 - As before, I have ~30% probability conditional on ASI by 2030 that humanity goes extinct. So that's total 7.5% probability of extinction guaranteed by 2030.
 - I also have ~40% probability conditional on ASI invention by 2030 that whichever small group of people controls the ASI will become by far the most powerful group in human history. So that's total 10% probability of stable dictatorship guaranteed by 2030.
   - They will almost certainly be world dictators essentially, although they will likely provide people with enough nominal power that this fact is not obvious to everyone.
   - I assign a smaller probability that this group will have hyperpersuasion skills (i.e. they'll be able to persuade anyone of any ideology they wish).
   - The remaining ~30% probability conditional on ASI invention by 2030 is unknown unknown for me. So that's total 7.5% more. I think there are multiple outcomes besides the above two outcomes (extinction, global dictatorship) with non-trivial probability.


#### AI timelines for noobs

Disclaimer
 - Quick note

Main
 - If you are an outsider to this whole space, the simplest argument that will make sense to you is to go and try using GPT2, GPT3, GPT3.5, GPT4 and now o3.
   - Openrouter.ai is good for trying many models.
   - You will notice a clear trend in LLMs improving from 2019 to 2025. If you are new to the space you are probably only noticing the trend line from 2023 to 2025.
   - If you want you can go even further back in time and try RNNs for NLP, and n-grams and stuff before that. The actual trend line goes atleast from 2012 to 2025.
   - Unfortunately AI companies have discontinued providing APIs for some of the older models (like GPT3). You have to either go check older youtube videos of other people trying these models, or find a developer who can setup all this for you.
   - This trend is called scaling law or Rich Sutton's bitter lesson. It basically means the more number of multiplications you can do, the more intelligent the AI becomes. Over the last 10 years, processors have become cheaper (more multiplications for same money spent) and people are using more processors to train the next model. First one GPU then tens, then hundreds, now we have models trained on hundreds of thousands of GPUs. We might soon have significant fractions of global electricity production going into more multiplications for the next AI model.
 - The second thing to do is read my intelligence explosion document. The basic idea is that lots of dumb models can't work together or build on top of each others results. But smart models can do this just as humans can do this. A group of beetles can't make a very intelligent plan, a group of humans can make an intelligent plan.
 - The last argument (more speculative) is to notice the difference between GPT4 and o3. o3 is able to do multiple reasoning steps one after the other. I have personal bias that this could end up important.

---

## Main (original v1 of this document)

DISCLAIMER
 - I'm not a deep learning expert. I understand theory of LLMs, RNNs, CNNs, etc. but I don't have experience training large models or curating large datasets or doing original DL research.
 - Please consider getting the opinion of many people other than me. Many of the signatories on [this list](https://www.safe.ai/work/statement-on-ai-risk) have made individual statements, search for their podcast interviews, blogposts, research publications and so on. Lesswrong is also a good forum.
 - I strongly recommend you form your own independent opinion on this subject, and not blindly copy the views of others, no matter how smart or trustworthy they seem. This field would make a lot more sense if more people formed independent opinions. (And yes forming a good opinion takes a lot of time and effort, and you have to decide whether the time investment is worth it for you personally.)

**If you have not used the latest AI models (as of 2025-04 this is GPT4.5 and o3), I strongly recommend you go try them out before reading any discussion such as the one below.**

This document is mainly aimed at lesswrong (LW) rationalists / effective altruists / adjacent people, since a lot of my work is culturally downstream of theirs, and a lot of my potential research collaborators exist in their communities. This doc will make less sense if you haven't encountered their writings before.

Most of this doc is guesswork rather than models I have a lot of confidence in. Small amounts of evidence could upend my entire view of these topics.

**If you have evidence that my view is wrong, please tell me**. Not having to spend any more time thinking about AI will improve my quality of life. I am being completely serious when I say I might thank you till the day I die, if you persuade me either way. I can also pay you atleast $1000 for convincing me, although we'll have to discuss the details if you really wanna be paid.

The last time I read papers on this topic was early-2023, it's possible I'm not up-to-speed on any of the latest research. Feel free to send me anything that's relevant. I haven't really updated my views on this topic since 2023, although the field has moved fast meanwhile.

**I have ~15% probability humanity will invent artificial superintelligence (ASI) by 2030.**
 - If it happens, this will be the most significant event in ~10,000 years of human history on many metrics of what counts as significant. (If the intelligence gap is sufficiently large it might even be the most important event in the ~14 billion year history of the universe. My probability for this is smaller.)
 - This will more-likely-than-not use transformers + data and compute scaling.
 - I define artificial superintelligence to be AI superior to the best humans (not median human) at basically every task humans can do on laptop with internet access.
 - See my usual disclaimer on predictions shaping reality. If you are involved in building ASI, please consider *not* doing that or atleast talking to me once about it. I don't want ASI to be built by 2030 unless many aspects of society change first.

**Conditional on ASI being invented by 2030, I expect ~30% probability it will kill everyone on Earth soon after.** In total that's ~5% probability of humanity killed by ASI by 2030.

I have chosen not to work on this problem myself. This is downstream of ~15% not being large enough and the problem not capturing my curiosity enough. I am not a utilitarian who blindly picks the biggest problem to solve, although I do like picking bigger problems over smaller ones. If you are working on safety of AGI/ASI, I think you are doing important work and I applaud you for the same.


## Reasons for my beliefs

*Mildly relevant rant on consensus-building:* Both these probabilities seem to involve dealing with what I'd call deep priors. "Assume I take a random photo of Mars and a random pixel from that photo, what is the probability its RGB value has higher Green than Blue?" Humans tend to agree better on prior probabilities when there's enough useful data around the problem to form a model of it. Humans tend to agree less on prior probabilities when they're given a problem with very little obviously useful data, and need to rely on a lifetime of almost-useless-but-not-completely-useless data instead. The "deepest" prior in this ontology is the [universal prior](https://en.wikipedia.org/wiki/Solomonoff%27s_theory_of_inductive_inference).

~15% is lower than what many people in EA/LW communities assign, because I reject a lot of the specific models they use to forecast higher likelihood of ASI.
 - Total amount of neurons in human brain has nothing to do with compute required to build ASI, as evolution produced human brains and evolution used a lot more compute than an individual brain.
 - Nobody has a proposal that's IMO likely to work at replicating biological evolution in-silico. How to capture initial conditions? How much compute do you require to simulate the environment? I haven't seen convincing arguments for why these details aren't important.
 - I have a prior that most STEM research that promises bold outcomes fails. This is the default not the exception. To study this prior you have to go back in time to each of the failed research agendas of the past 100 years, and notice what it would have **felt like** if you were born then and were hyped up by a research agenda you didn't know would succeed or fail.
 - Update (credits: someone on LW): I have seen some basic arguments from neuroscience saying neurons (or the genetic information that produced the neurons) don't by themselves encode much of whatever it is that produces human intelligence, most of it is learned after birth. I'm open to arguments of this type but I'll probably have to study neuroscience to evaluate them.

[Discontinuous progress in human history by Katja Grace](https://www.lesswrong.com/posts/CeZXDmp8Z363XaM6b/discontinuous-progress-in-history-an-update) is the closest thing I could find to work that tries evaluating the prior probability of any reserach agenda succeeding with radical outcomes. I have not spent a lot of time searching for such research though. Convincing me either way may require publishing or pointing me to a lot more work of this type.

Alternatively you have to provide me a gears-level model that explains why the LLM scaling laws empirically hold.

~15% is higher than what many AI researchers assign, because I reject a lot of the specific reasons they give for why LLM scaling cannot possibly achieve ASI
 - I have read some arguments for why specific unsolved problems are *hard* when compared with already solved problems, and why there's no specific reason LLM will crack them.
 - However most of the problems LLMs have already cracked also got cracked without anyone having an actual model for why LLMs will or won't crack them. LLM scaling has consistently proven itself (to me) to be black magic; both its supporters and its detractors fail to accurately predict which problems it will or won't crack. Predicting loss curve doesn't tell which problems will or won't be cracked.
 - Some people cite architectural limitations of LLM as a bottleneck. For instance LLM has a theoretical upperbound on number of calculations per forward pass, and a certain ratio of "memory access" to "computation" steps. But solving a real world problem can use multiple forward passes + non-LLM scaffolding + non-self-attention layers. For example, you can often use layers from two different architectures (let's say self-attention layers and CNN layers) in a single model, train this model and get good performance.
 - Some people say we will run out of data required as per empirical scaling law but my guess is this is more likely than not solveable. I'm very unsure on this. (And I lack sufficient expertise to evaluate this argument tbh.) I'm guessing you can teach a model simple reasoning using a smaller dataset, use this model to fill holes in a bigger dataset, and then teach the model more difficult reasoning using this data.

~30% probability for extinction conditional on ASI invention by 2030 is because I am more optimistic about boxing an ASI than some LW rationalists. I do believe misalignment happens by default with high probability.
 - The intelligence difference between Einstein or Churchill or Hitler, and a hyperpersuasive AI is large, relative to the intelligence jumps shown by scaling so far. I understand there's no natural scale for intelligence. I am open to the idea a hyperpersuasive AI can exist in theory. (In this context, a hyperpersuasive AI is an AI that can gain complete control over your mind with near 100% probability simply by talking to you.)
 - I am assuming a high level of competence among the people boxing the ASI. I have low probability of ASI coming completely by surprise. A lab building ASI in this decade will almost certainly employ many people who take the prospect of ASI seriously.
 - I am assuming that pausing ASI research will be politically possible, even obvious, once we have built a boxed ASI with empirical evidence of a lack of safety. I think I have better intuitions on politics than the median LW poster.
 - I have some confusion on how the AI will reason about the hardware-software abstraction. At what point does an AI translate "maximise XYZ assembly variable" into "maximise the number of electrons in positions in semiconductor underlying XYZ"? My guess is whether an AI wants to "break out" of its machine depends on how it reasons about this. I accept that an ASI could understand that its variables are made up of positions of electrons in a semicondutor, I'm just unsure what it'll do once it knows this.
