2025-07-11

# US Govt Whistleblower Database

**Disclaimer**
 - **Quick note**
 - **Incomplete**
 - All information here is based on public record

**What?**
 - Collecting (mostly) fact-checked of previous US govt whistleblowers.

**Why?**
 - Might aid future whistleblowers, or people directly working with them, or people indirectly supporting them.
 - Unknown unknown reasons. I can't pre-emptively guess every way this resource might be used in future.


## Database categories

Since there are many people who become sources, it is useful to categorise them. I have categorised them as follows based on intent, action and consequences.

categories based on intent
 - (categorising based on intended beneficiary not intended recipient)
 - whistleblowers
   - intended beneficiary: perceived public interest
   - intended recipient of info: usually public. sometimes specific people acting in public interest such as judges or congressmen.
 - leakers
   - intended beneficiary: perceived personal gain but not money (romantic interest, personal rivalry, social status, etc)
   - intended recipient of info: anyone
 - spies
   - intended beneficiary: perceived value-alignment with foreign govt or ideology, or money
   - intended recipient of info: intelligence service of foreign govt

categories based on action
 - leaked classified documents
 - did not leak classified documents, but may have leaked classified information
 - did not leak classified documents or information

categories based on consequences
 - was imprisoned
 - was not imprisoned
 - (not categorising based on other consequences such as social ostracism, financial loss, etc)


## Some notes and disclaimers

About classification
 - Background info
   - US classification levels: CONFIDENTIAL < SECRET < TOP SECRET < TOP SECRET/SCI 
   - As of 2022-09-30, public claim is that 1.35 million people have TOP SECRET security clearance.
   - TS/SCI indicates a compartment which only few named individuals can access, not everyone with a TOP SECRET security clearance. Different documents can belong to different compartments. A compartment can be as small as 10 people.
 - Conclusion
   - in many whistleblower cases, seems unclear if classification status was SECRET or TOP SECRET at time of leak

About key dates recorded
 - date of first transmission of a document to a second person (there could be multiple documents sent on different dates)
 - date of first public publication of a document (there could be multiple documents published on different dates)
 - date of arrest
 - date of public revealing of whistleblower's identity
 - date of being released from prison

About consequences on social circle
 - Typical consequences once identity is publicly out
   - Family members are interrogated, house raided and wiretapped.
   - Family members face significant legal expenses. Almost always, a defence fund is raised with donations from non-profits and the general public.
   - Family members are verbally harassed in-person and online.
   - Multiple people in extended social circle cut off contact. A common reason is to avoid being involved in the investigation.
   - Once imprisoned, prison visits are allowed for immediate family members.
   - Family members are not imprisoned.
 - Unless specified otherwise, it is IMO a reasonable assumption that all of the above consequences occured in every single case of US govt whistleblowers/leakers who were imprisoned. There may or may not be documented proof for all of the consequences.
 - Usually there is more documented proof if the whistleblower chose to talk to journalists or the general public about the challenges they faced. Usually law enforcement or intelligence did not make information public against the will of the whistleblower.

About journalists
 - This list is **not** an endorsement of the values or capabilities of any specific journalists. It only provides historical fact-checked information.
 - Information recorded
   - Date, title, authors, media house of first publication
   - Link to original copy of first publication, or a mirror if possible
   - Whether publication contains original documents
   - Whether journalists and editors knew identity of the source
 - Some journalists later quit the orgs they worked at, at the time of the leak. Unless stated otherwise, I have specified the org they worked for at the the time of the leak.
 - Some articles may have older edits or link urls. Internet Archive Wayback Machine is one possible place you can check for this.
 - In multiple cases there is public record of a journalist being informed of the source identity but no public record of the editor being informed.
   - Speculation by me (Samuel): It is highly likely that if a journalist knows the identity of a source, the editor will pressurise the journalist to inform them as the editor.
   - Editor's reputation is affected if the journalist invents fake information claiming an anonymous source, and this sequence of events becomes public later. Editor's reputation is affected if the source's reputation is negative for the editor in some way (for example they're a criminal or spy), and the source's identity or reputation becomes public later.
   - As per AP policy, a reportor/journalist must inform the editor of the identities of any sources.
   - As per Fox News policy, no mandatory requirement for reporter/journalist to share the identity of a source with the editors.

About lawyers
 - This list is **not** an endorsement of the values or capabilities of any specific lawyer. It only provides historical fact-checked information.
 - Some minor details may be incorrect. I lack a formal legal background.


## Details of US govt whistleblowers/leakers who leaked classified documents and were not imprisoned

US govt whistleblowers and leakers, leaked classified documents, not imprisoned (sorted by date)
 - Edward Joseph Snowden - still wanted for arrest
 - Daniel Ellsberg, Anthony (Tony) J. Russo Jr.

### Classification status

US govt whistleblowers and leakers, leaked classified documents, not imprisoned, classification status of leaked info (sorted by date)
 - Edward Joseph Snowden
   - 100,000-2,000,000 documents (exact number is not public record), many of which were TOP SECRET/SCI
 - Daniel Ellsberg, Anthony (Tony) J. Russo Jr.
   - TOP SECRET

### Key dates

US govt whistleblowers and leakers, leaked classified documents, not imprisoned, key dates (sorted by date)
 - Edward Joseph Snowden
   - first transmission 2013-01 to 2013-06 (date is not public record), flight from Hawaii US to Hong Kong 2013-05-10, first major transmission 2013-06-02, first publication 2013-06-05, public identity 2013-06-09, flight from Hong Kong to Moscow 2013-06-23, first asylum request made 2013-06-23, first asylum granted (by russia) 2013-08-01, citizenship granted (by russia) 2022-09-26
 - Daniel Ellsberg, Anthony (Tony) J. Russo Jr.
   - first involvement of an unauthorised person (Anthony (Tony) J. Russo Jr.) 1969-10-01, transmission to US senator 1969-10 (??? exact date unclear), first transmission to journalist 1971-03-02, first publication 1971-06-13, arrest 1971-06-28, released on bond 1971-06-28, case dismissed 1973-05-11

### Social circle

US govt whistleblowers and leakers, leaked classified documents, not imprisoned, consequences on social circle
 - Edward Joseph Snowden
   - Documented social circle at time of leak: Father, mother, (divorced multiple years before the leak), 1 sister, girlfriend (now wife as of 2025-06), no children (2 children as of 2025-06)
   - Documented consequences for social circle: house raid, interrogation, polygraph, wiretap, significant legal expenses, online harassment
   - Documented visits in asylum: Father visited on 2013-10-10, girlfriend (now wife) permanently shifted to moscow in 2014-07 (possibly 2014-07-15 ??? exact date not clear), multiple in-person visits by journalists and lawyers since 2013-06, multiple video calls by journalists. No public record indicating mother ever visited him after the leak. (??? seems unclear)
   - Misc
     - Snowden's family members working for US govt kept their jobs but with no further promotions.
     - Snowden had two children with his wife in Russia and they still live together in Russia as of 2025-07.
 - Daniel Ellsberg
   - Documented social circle at time of leak: Father, wife (married on 1970-08-08, during leak), siblings unknown (??? seems unclear), mother dead, ex-wife (divorced), 2 children from ex-wife (later had 1 child from wife)
   - Documented consequences for social circle: house raid, interrogation, wiretap, significant legal expenses, in-person harassment by FBI agents, cut off by extended circle
   - Documented visits: After case dismissal: Visited by children and step-children. Visited by multiple friends and anti-war activists. Visited by multiple journalists. Significant surveillance by FBI and NSA continued during this time frame.
   - Misc
     - Psychiatrist's office was (illegally) broken into under direction of Howard Hunt, CIA officer, to obtain evidence so that Ellsberg could deemed mentally unfit for trial.
     - Daniel Ellsberg's father initially disowned him for this decision to leak the documents, but may have later changed his mind. (??? exact details not clear)
     - Daniel Ellsberg's son later claimed parents had strained marriage for many years and he had less contact with his father.

### Opsec/Cybersecurity

US govt whistleblowers and leakers, leaked classified documents, not imprisoned, opsec mistakes and arrest methods
 - todo

### Journalism

US govt whistleblowers and leakers, leaked classified documents, not imprisoned, journalists they worked with
 - Edward Joseph Snowden
   - First publication: [NSA collecting phone records of millions ..., The Guardian, 2013-06-05](https://www.theguardian.com/world/2013/jun/06/nsa-phone-records-verizon-court-order)
   - Also published: [US, British intelligence mining data from ..., Washington Post, 2013-06-07](https://www.washingtonpost.com/investigations/us-intelligence-mining-data-from-nine-us-internet-companies-in-broad-secret-program/2013/06/06/3a0c0da8-cebf-11e2-8845-d970ccb04497_story.html)
   - Glenn Greenwald, Janine Gibson (editor, US), Alan Rusbridger, (editor, UK) - The Guardian
   - Laura Poitras, Barton Gellman, Anne E Kornblut (editor) - Washington Post
   - Gleen Greenwald and Ewen MacAskill knew the identity of the source before publishing. Janine Gibson and Alan Rusbridger knew that Greenwald was meeting an anonymous source in Hong Kong, but no public record confirming they knew the identity of the source.
     - Speculation by me (Samuel): It is highly likely they knew the identity of the source.
   - Laura Poitras and Barton Gellman knew the identity of source before publishing. No public record confirming Anne E Kornblut or other Washington Post editors knew identity of source before publishing.
     - todo - more research on this topic
   - [Github archive by iamcryptoki containing documents published publicly from 2013 to 2018](https://github.com/iamcryptoki/snowden-archive).
   - Most of the 100,000-2,000,000 documents leaked by Snowden have never been published publicly. Public record is that only a handful of journalists (listed above) have access to a copy of the full set of documents.
     - [Speculation by electrospaces.net on who all have access as of 2019](https://www.electrospaces.net/2019/04/the-snowden-files-where-are-they-and.html)
     - todo - more research on this topic


 - Daniel Ellsberg
   - First publication: Vietnam Archive: Pentagon Study Traces 3 Decades of Growing U.S. Involvement, [1971-06-13, weekly issue, The New York Times](https://timesmachine.nytimes.com/timesmachine/1971/06/13/issue.html)
     - Neil Sheehan, other team members, Abe Rosenthal (editor) - The New York Times
     - Newspaper contained only small excerpts per issue, total 9 issues contained excerpts.
   - Another publication: [Documents Reveal U.S. Effort in '51 To Delay Viet Election, Washington Post, 1971-06-18](???)
     - Ben Bagdikian, other team members, Ben Bradlee (editor) - Washington Post
     - Ellsberg provided Bagdikian with a copy on 1971-06-16, during the FBI manhunt.
     - Ben Bagdikian provided a copy to Senator Mike Gravel on 1971-06-26. 4100 out of ~7000 pages were published by Senator Mike Gravel on 1971-06-29 to Subcommittee on Public Buildings and Grounds.
   - [Unredacted copy of Pentagon Papers by released by US govt, 2001-06-13](https://www.archives.gov/research/pentagon-papers)
   - Neil Sheehan knew the identity of the source. As per public record, Neil Sheehan negotiated with Abe Rosenthal (managing editor) to ensure that the story could be published without the latter being informed of the identity of source.
   - Ben Bagdikian knew the identity of the source. No public info confirming Ben Bradlee or others at WaPo knew the identity of the source.
     - More research on this topic - todo


### Law

US govt whistleblowers and leakers, leaked classified documents, not imprisoned, lawyers they worked with
 - Edward Joseph Snowden
   - lawyers for: No trial occurred, only asylum requests: Ben Wizner (US, ACLU Director), Jesselyn Radack (US, WHISPer Director), Robert Tibbo (Hong Kong), Jonathan Man (Hong Kong), Albert Ho Chun-yan (Hong Kong), Anatoly Kucherena (Russia), Plato Cacheris (US), Wolfgang Kaleck (Germany/EU), William Bourdoun (France/EU), Marcel Bosonnet (Switzerland), Gonzalo Boye (Chile), Baltasar Garzón (Spain/Chile, Wikileaks international legal head), Halvard Helle (Norway), Emanuel Feinberg (Norway), other anonymous lawyer-advisors
   - lawyers against: No trial occurred: Neil H. MacBride, Eric H. Holder Jr.
     - Civil suit over book published: G. Zachary Terwilliger, Jody Hunt, Jeffrey Bossert Clark, Jeffrey A. Rosen, Lauren A. Wetzler, R. Trent McCotter
 - Daniel Ellsberg
   - lawyers for: Leonard Boudin, Charles Nesson, Leonard Weinglass
   - lawyers representing NYT: Daniel Sheehan, Floyd Abrams
   - lawyers against: David Nissen, Warren P. Reese, Richard J. Barry, Joseph L. Tauro, Erwin Nathaniel Griswold

### Misc

US govt whistleblowers and leakers, leaked classified documents, not imprisoned, miscellaneous information
 - Edward Joseph Snowden
   - empty
 - Daniel Ellsberg
   - G Gordon Liddy, ex-FBI ex-Army, claims Howard Hunt (who broke into Ellsberg's psychiatrist's office) also planned to induce LSD overdose to deem Ellsberg mentally unfit.
   - Wiretap also performed without warrant. Judge dismissed case due to extensive illegal evidence gathering.
   - Robert L. Meyer, US attorney, was forced to resign for refusing to pursue case against Daniel Ellsberg


## Details of US govt whistleblowers/leakers who leaked classified documents and were imprisoned

US govt whistleblowers and leakers, leaked classified documents, imprisoned (sorted by date)
 - Jack Douglas Teixeira
 - Daniel Everette Hale
 - Reality Leigh Winner
 - Terry J Albury 
 - Joshua Adam Schulte
 - James Hitselberger
 - Donald Sachtleben
 - Chelsea Elizabeth Manning 
 - Shamai Kedem Leibowitz
 - Samuel Loring Morison

### Classification status

US govt whistleblowers and leakers, leaked classified documents, imprisoned, classification status of leaked info (sorted by date)
 - Jack Douglas Teixeira
   - classified at time of leak
   - most documents TOP SECRET/SCI (TOP SECRET//HCS-P/SI-G/TK//NOFORN or Top Secret//SI//NOFORN//FISA ???), some documents SECRET//REL FVEY
   - remains classified as of 2025, US govt has confirmed authenticity of some documents
 - Daniel Everette Hale
   - classified at time of leak
   - some documents TOP SECRET (TOP SECRET//SI//NOFORN), other documents SECRET
   - remains classified as of 2025
 - Reality Leigh Winner
   - classified at time of leak
   - TOP SECRET//SI//ORCON/NOFORN
   - remains classified as of 2025
 - Terry J Albury 
   - classified at time of leak
   - some documents SECRET, some documents CONFIDENTIAL, other documents unclassified, at time of leak (??? seems unclear)
   - remains classified as of 2025
 - Joshua Adam Schulte
   - classified at time of leak
   - some documents SECRET, some documents TOP SECRET or TOP SECRET/SCI (??? seems unclear), operational details of vault7 not leaked at all
   - remains classified as of 2025
 - James Hitselberger
   - classified at time of leak
   - SECRET
   - remains classified as of 2025
 - Donald Sachtleben
   - classified at time of leak
   - main documents TOP SECRET // SCI, other documents SECRET
   - remains classified as of 2025. Summarised details confirmed in press interviews.
 - Chelsea Elizabeth Manning
   - classified at time of leak
   - iraq war logs SECRET//NOFORN, guantanamo bay SECRET//NOFORN, collateral murder video SECRET, diplomatic cables CONFIDENTIAL or SECRET or TOP SECRET (??? seems unclear)
   - Remains classified as of 2025: iraq war logs, guantanmo bay documents, collateral murder video
   - Some redacted documents declassified as of 2025: Diplomatic cables
 - Shamai Kedem Leibowitz
   - classified at time of leak
   - SECRET
   - remains classified as of 2025
 - Samuel Loring Morison
   - classified at time of leak
   - TOP SECRET or SECRET (??? seems unclear)
   - some lower resolution photos similar to leaked photos declassified as of 2025

### Key dates

US govt whistleblowers and leakers, leaked classified documents, imprisoned, key dates (sorted by date)
 - Jack Douglas Teixeira
   - first transmission to semi-public discord 2022-02, first transmission to journalist likely 2022-12 (discord server logs 2022-02 to 2022-12 not publicly available), publication to wide audience 2023-04-06, public identity 2023-04-13, arrest 2023-04-13, not released as of 2025-06
 - Daniel Everette Hale
   - first transmission 2014-05 (multiple messages sent, exact date of first message containing classified document is not public record), first publication 2015-10-15, arrest 2019-05-09, public identity 2019-05-09, released 2025-07-04
 - Reality Leigh Winner
   - first transmission 2017-05-09, arrest 2017-06-03, first publication 2017-06-05, public identity 2017-06-05, released 2021-06-02
 - Terry J Albury
   - first transmission 2016-02, first publication 2017-01-31, arrest 2018-03-28, public identity 2018-03-29, released 2020-11
 - Joshua Adam Schulte
   - first transmission 2016-04 (exact date not in public record), first publication 2017-03-07, arrest on allegedly unrelated charge 2017-08-24, public identity as a suspected whistleblower 2018-05-15, public identity as whistleblower confirmed 2018-06-18, not released as of 2025-06
 - James Hitselberger
   - first transmission 2012-04-11, no publication, arrest 2012-10-25, public identity 2012-10-25, released 2014-07
 - Donald Sachtleben
   - first transmission 2012-04-30, first publication 2012-05-07, arrest on allegedly unrelated charges 2012-05-11, indicted as whistleblower 2013-09-23, public identity 2013-09-23, released 2022 (??? exact date not clear)
 - Chelsea Elizabeth Manning
   - first transmission 2010-01 (as per chelsea's claims, 2010-02 is publicly documented), first publication 2010-02-18, arrest 2010-05-27, public identity 2010-06-07, released 2017-01-17
 - Shamai Kedem Leibowitz
   - first transmission 2009-01 (exact date unclear, may not be public record), first publication 2009-03-26, house raid 2009-04 (exact date unclear, may not be public record), final arrest 2009-12-17, public identity 2009-12-17, released 2012-01 (exact date unclear)
 - Samuel Loring Morison
   - first transmission 1984-07 (??? exact date within 1984-07 not clear), first publication 1984-08-07, arrest 1984-10-01, public identity 1984-10-01, released 1988 (??? exact date unclear)

### Social circle

US govt whistleblowers and leakers, leaked classified documents, imprisoned, consequences on social circle
(only done surface-level research so far)
 - Jack Douglas Teixeira
   - Documented social circle at the time of leak: Step-father, mother, biological father, 1 step-brother, 1 step-sister, girlfriend
   - Documented consequences for social circle: house raid, interrogation, online harassment of parents
   - Documented prison visits: no info available
   - Misc: gave TV interview while in prison
 - Daniel Everette Hale
   - Documented social circle at the time of leak: Father, mother, no SO
   - Documented consequences for social circle: house raid, interrogation
   - Documented prison visits: no info available
 - Reality Leigh Winner
   - Documented social circle at the time of leak: Father, mother, 1 sister, boyfriend
   - Documented consequences for social circle: house raid, interrogation, wiretap, cut off by extended circle, significant legal expenses
   - Documented prison visits: multiple visits by mother, multiple phone calls
   - Misc: Mother faced panic attacks and depression. Sister withdrew from college for a semester. Parents faced difficulties with retaining job.
 - Terry J Albury
   - Documented social circle at the time of leak: Father, mother, siblings unknown, wife, 2 children
   - Documented consequences for social circle: house raid, interrogation
   - Documented prison visits: no info available
   - Misc: Wife and multiple friends remained supportive throughout the trial and prison sentence.
 - Joshua Adam Schulte
   - Documented social circle at the time of leak: Father, mother, 3 brothers, SO unknown
   - Documented consequences for social circle: house raid, interrogation, significant legal expenses, online harassment
   - Documented prison visits: some family visits, visits were restricted for 3 years, claimed that he was attempting to release more info from prison
 - James Hitselberger
   - Documented social circle at the time of leak: Father, mother, no siblings, no SO
   - Documented consequences for social circle: house raid, interrogation
   - Documented prison visits: no info available
 - Donald Sachtleben
   - Documented social circle at the time of leak: no info available
   - Documented consequences for social circle: no info available
   - Documented prison visits: no info available
 - Chelsea Elizabeth Manning
   - Documented social circle at the time of leak: Father, mother, (divorced), 1 sister, boyfriend (breakup at same time)
   - Documented consequences for social circle: house raid, interrogation, wiretap, significant legal expenses, cut off by extended circle, online verbal harassment
   - Documented prison visits: Multiple visits by family and friends. Multiple letters received, although some were redacted. First visits were behind glass, later visits were regular.
   - Misc: UK govt cooperated with US govt to wiretap mother and aunt in Wales. Father lost job, mother lived in debt, until sufficient donation received for legal defence. Mother collapsed during hearing, faced multiple panic attacks and medical consequences. Father became depressed. Father's second marriage broke apart as well.
 - Shamai Kedem Leibowitz
   - Documented social circle at the time of leak: Father, mother, wife, children unknown
   - Documented consequences for social circle: house raid, interrogation
   - Documeted prison visits: no info available
   - Misc: Used public defender not private lawyer. Grandson of Yeshayahu Leibowitz. Likely morally supported by family and broader jewish community throughout trial and imprisonment.
 - Samuel Loring Morison
   - Documented social circle at the time of leak: Father, mother, siblings unknown, spouse unknown, children unknown
   - Documented consequences for social circle: house raid, interrogation
   - Documented prison visits: no info available
   - Misc: Grandson of Samuel Eliot Morison

### Opsec/Cybersecurity

US govt whistleblowers and leakers, leaked classified documents, imprisoned, opsec mistakes and arrest methods
 - todo

### Journalism

US govt whistleblowers and leakers, leaked classified documents, imprisoned, journalism
 - Jack Douglas Teixeira
   - First publication: Semi-public discord server Thug Shaker Central, 2022-02.
   - First publication in mass media: [Ukraine War Plans Leak Prompts Pentagon Investigation, The New York Times, 2023-04-06](https://www.nytimes.com/2023/04/06/us/politics/ukraine-war-plan-russia.html)
   - New York Times publication does not contain original documents.
     - Could not find a mirror to original documents yet. - todo
   - Helene Cooper, Eric Schmitt, Joseph F Kahn (editor) - The New York Times
   - No journalist directly contacted by the source. Journalists eventually found the discord and broadcast the information further.
   - No public record confirming journalists or editor knew the identity of the source.
 - Daniel Everette Hale
   - First publication: [The Drone Papers, The Intercept, 2015-10-15](https://theintercept.com/2015/10/15/the-drone-papers/)
   - Jeremy Scahill, Betsy Reed (editor) - The Intercept
   - Publication contains some original documents.
   - Journalist knew the identity of the source. No public record confirming editor knew the identity of the source. (See note above on this scenario.)
 - Reality Leigh Winner
   - First publication: [Top Secret NSA Report Details ..., The Intercept, 2017-06-05](https://theintercept.com/2017/06/05/top-secret-nsa-report-details-russian-hacking-effort-days-before-2016-election/)
   - Richard Esposito, Matthew Cole, Sam Biddle, Ryan Grim (editor) - the Intercept
   - Publication contains some original documents.
   - No public record confirming journalists or editor knew source identity.
 - Terry J Albury 
   - First publication: [The FBI's Secret Rules, The Intercept, 2017-01-31](https://theintercept.com/series/the-fbis-secret-rules/)
   - Trevor Aaronson, Cora Currier, Jenna McLaughlin, Alice Speri. Betsy Reed (editor) - The Intercept
   - Publication contains some original documents.
   - No public record confirming journalists or editor knew source identity.
 - Joshua Adam Schulte
   - First publication: [Vault 7, Wikileaks, 2017-03-07](https://wikileaks.org/ciav7p1/index.html)
   - Anonymous team, Julian Assange (editor) - Wikileaks
   - Publication contains some original documents.
   - No public record confirming journalists or editor (of wikileaks) knew source identity.
   - 2nd attempt: From prison, he promised more documents offered to: Shane Harris, the Washington Post. Marcy Wheeler, Emptywheel. Both journalists knew identity of source.
 - James Hitselberger
   - Publication: No publication
   - Did not work with any journalists.
 - Donald Sachtleben
   - First publication: [CIA thwarts new al-Qaida underwear bomb plot, Associated Press, 2012-05-07](https://www.youtube.com/watch?v=eei6MAmYrl0).
     - Unable to find text article on AP website, may have been taken down, may still be available on Wayback Machine - todo.
     - [Same news repeated, Fox News, 2012-05-07](https://www.foxnews.com/us/cia-thwarts-new-al-qaida-underwear-bomb-plot)
   - Adam Goldman, Matt Apuzzo, Ted Bridis (editor) - Associated Press
   - Sachtleben did not send original documents to the journalist, hence they're not published.
   - Court record confirms Adam Goldman knew the identity of the source. No public record confirming Matt Apuzzo or Ted Bridis knew the identity of the source. (See note above on this scenario.)
 - Chelsea Elizabeth Manning
   - First publication: [Classified cable from US Embassy Reykjavik on Icesave, Wikileaks, 2010-02-18](https://www.wikileaks.org/wiki/Classified_cable_from_US_Embassy_Reykjavik_on_Icesave,_13_Jan_2010)
   - Anonymous team, Julian Assange (editor) - Wikileaks
   - No public record confirming anyone at Wikileaks knew the identity of the source at the time of the leak. Julian Assange has declined knowing identity of source before it was publicly reported.
     - Speculation by me (Samuel): Since Adrian Lamo could figure out the identity from social media clues, and Julian Assange was also a skilled hacker, there is a significant probability wikileaks also independently deduced the identity of the source before it was publicly reported.
   - Publication contains original documents.
 - Shamai Kedem Leibowitz
   - First publication: FBI Wiretap Transcripts: Israeli Embassy Targets Iran and U.S. Opinion, Richard Silverstein (at richardsilverstein.com), 2009-03-26
     - Link taken down, could not find a mirror yet. - todo
     - [Later article by Richard Silverstein](https://www.richardsilverstein.com/2016/12/10/published-us-intelligence-secrets-israels-anti-iran-campaign/) discusses the transcripts but does not contain the original transcripts
   - Richard Silverstein - independent blogger
   - Richard Silverstein knew the identity of the source.
   - Misc: Leibowitz and Silverstein later publicly accused each other of misaligned motives.
 - Samuel Loring Morison
   - First publication: Jane's Defence Weekly, volume 2 no 5, 1984-08-07 sent to newsrooms, 1984-08-11 official publishing date.
     - Could not find digitised version of magazine issue yet. - todo
   - Derek Wood (editor), Sidney Jackson (managing director), other editorial staff
   - Publication contains original documents (photographs).
   - Derek Wood knew identity of the source. Public record does not confirm any staff knew the identity of the source. Speculation: Sidney Jackson also may have known the identity of the source.

### Law

 - Supervisory role played in some cases by attorney generals or assistant attorney generals: Zachary Terwilliger, John C. Demers, Matthew G. Olsen

US govt whistleblowers and leakers, leaked classified documents, imprisoned, lawyers they directly worked with
 - Jack Douglas Teixeira 
   - lawyers for: Brendan O. Kelley, Gene Allen Franco, Joshua Robert Hayne (withdrawn), Michael Bachrach
   - lawyers against: Nadine Pellegrini, Jared C. Dolan, Jason A. Casey, Christina A. Clark, Joshua Levy
 - Daniel Everette Hale
   - lawyers for: Todd Richman, Cadence Mertz, Ruth Vinson, Tor Ekeland, Jesselyn Radack
   - lawyers against: Gordon Kromberg, Alexander Berrang, Heather M. Schmidt
 - Reality Leigh Winner
   - lawyers for: Titus Nichols, Alison Grinter Allen, Joe D. Whitley, Matthew S. Chester
   - lawyers against: Julie A. Edelstein, Jennifer G. Solari, Bobby L. Christine
 - Terry J Albury 
   - lawyers for: JaneAnne Murray, Joshua L. Dratel
   - lawyers against: Danya E. Atiyeh, Patrick T. Murphy, David C. Recker
 - Joshua Adam Schulte
   - lawyers for: Joshua Adam Schulte (represented self), Sabrina P. Shroff, Deborah Austern Colson (withdrawn), Matthew B. Larsen, Sean Michael Maher, James Matthew Branden, Lauren Martine Dolecki, Edward S Zas, Allegra Glashausser
   - lawyers against: David W. Denton Jr., Michael D. Lockard, Nicholas S. Bradley, Sidhardha Kamaraju, Matthew Laroche, Scott McCulloch, Damian Williams (supervisory), Geoffrey S. Berman (supervisory)
 - James Hitselberger
   - lawyers for: Mary Manning Petras, Rosanna Margaret Taormina, A. J. Kramer, Carlos J. Vanegas
   - lawyers against: Jay I. Bratt, Mona N. Sahaf, Thomas A. Bednar, Deborah A. Curtis
 - Donald Sachtleben
   - lawyers for: Charles C. Hayes, Kathleen M. Sweeney, Larry A. Mackey
   - lawyers against: Jonathan M. Malis, G. Michael Harvey, Richard S. Scott, Mona N. Sahaf, Steven D. DeBrota, Joseph H. Hogsett
 - Chelsea Elizabeth Manning 
   - lawyers for: David E. Coombs, Nancy Hollander, Vincent Ward, Matthew Kemkes, Paul Bouchard, Chase Strangio. ACLU
   - lawyers against: Ashden Fein, Joe Morrow, Angel Overgaard, Hunter Whyte
 - Shamai Kedem Leibowitz
   - lawyers for: Cary D. Feldman (withdrawn), Richard M. Asche
   - lawyers against: Steven M. Dunne, Kathleen M. Kedian, David Kris (supervisory), David Kris (supervisory)
 - Samuel Loring Morison
   - lawyers for: Jacob A. Stein, Robert F. Muse, Mark H. Lynch, Charles F.C. Ruff, Neil K. Roman, Steven F. Reich, Armistead P. Rood
   - lawyers against: Michael Schatzow, Michael Schatzow, Breckinridge Long Willcox. 2nd case: James G. Warwick, Rod J. Rosenstein

### Misc

 - empty


## Details of US govt whistleblowers/leakers who did not leak classified documents but leaked information, and were imprisoned

US govt whistleblowers and leakers, did not leak classified documents but may have leaked classified information, imprisoned (sorted by date)
 - Henry Kyle Frese
 - John Chris Kiriakou
 - Stephen Jin-Woo Kim
 - Jeffrey Alexander Sterling

### Classification status

US govt whistleblowers and leakers, did not leak classified documents but may have leaked classified information, imprisoned, classification status of leaked info (sorted by date)
 - Henry Kyle Frese
   - classified at time of leak
   - some documents TOP SECRET/SCI, some documents SECRET (?? seems unclear)
   - remains classified as of 2025
 - John Chris Kiriakou
   - classified at time of leak
   - officier identity SECRET, interrogation details TOP SECRET/SCI or CONFIDENTIAL/SECRET (??? seems unclear)
   - officer identity remains classified as of 2025, partial info about interrogation methods declassified as of 2025
 - Stephen Jin-Woo Kim
   - classified at time of leak
   - TOP SECRET/SCI
   - remains classified as of 2025
 - Jeffrey Alexander Sterling
   - classified at time of leak
   - TOP SECRET/SCI, or SECRET (??? seems unclear)
   - remains classified as of 2025

### Key dates

US govt whistleblowers and leakers, did not leak classified documents but may have leaked classified information, imprisoned, key dates (sorted by date)
 - Henry Kyle Frese
   - first transmission 2018-04-27, first publication 2018-05-02, arrest 2019-10-09, public identity 2019-10-09, released 2022-10-14
 - John Chris Kiriakou
   - first non-classified transmission 2007-12-10, first non-classified publication 2007-12
   - identity of CIA officer deuce martinez was classified. deuce martinez involvement independently suspected in public since 2006-06-20. first classified transmission 2008-08 (email from public record in 2008-08, previous email in 2008-04 alleged), first public publication of martinez' name 2008-06-22 (Scott Shane, NYT), first classified publication in a classified legal hearing 2009, clear public publication of classified info 2015-02-18.
   - arrest 2012-01-23, public identity 2012-01-23, released 2025-02-03
 - Stephen Jin-Woo Kim
   - first transmission 2009-06, first publication 2009-06-11, indicted 2010-08-18, arrest 2010-08-24, public identity as whistleblower confirmed 2010-08-24, released 2015 (??? exact date not clear)
 - Jeffrey Alexander Sterling
   - first transmission 2003-03 (first phone call 2003-02-27 out of multiple phone calls, not clear which phone call revealed classified info), first publication 2006-01-03, arrest 2011-01-06, public identity 2011-01-06 (identity was semi-private before this), released 2018-01 (exact date unclear)

### Social circle

US govt whistleblowers and leakers, did not leak classified documents but may have leaked classified information, imprisoned, consequences on social circle
(only done surface-level research so far)
 - Henry Kyle Frese
   - Documented social circle at the time of leak: Father, mother, 3 sisters, girlfriend
   - Documented consequences for social circle: house raid, interrogation
   - Documented prison visits: no info available
 - John Chris Kiriakou
   - Documented social circle at the time of leak: Father, mother, siblings unknown, wife, 5 children (of which 2 from wife, 3 from ex-wife)
   - Documented consequences for social circle: house raid, interrogation, wiretap, polygraph, cut off by extended circle, significant legal expenses, online and inperson verbal harassment
   - Documented prison visits: Multiple visits by spouse and children, visits by journalists
   - Misc: Public talks about how being shunned by his entire social circle was painful
 - Stephen Jin-Woo Kim
   - Documented social circle at the time of leak: Father, mother, girlfriend (later wife), 1 sister, other siblings unknown
   - Documented consequences for social circle: house raid, interrogation, significant legal expenses, online harassment
   - Documented prison visits: Multiple visits by family members, visit by journalist
   - Misc: James Rosen, journalist, visited Stephen Kim in prison to apologise.
 - Jeffrey Alexander Sterling
   - Documented social circle at the time of leak: Father, mother, multiple siblings, wife, no children
   - Documented consequences for social circle: house raid, interrogation, wiretap, significant legal expenses, online harassment
   - Documented prison visits: Multiple visits by wife. Some journalists were allowed visits and others were denied.
   - Misc: Lost house and nearly went bankrupt due to legal fees. Supported by wife throughout trial and imprisonment.

### Opsec/Cybersecurity

US govt whistleblowers and leakers, did not leak classified documents but may have leaked classified information, imprisoned, opsec mistakes and arrest methods
 - todo

### Journalism

US govt whistleblowers and leakers, did not leak classified documents but may have leaked classified information, imprisoned, journalism
 - Henry Kyle Frese
   - First publication: [China quietly installed missle systems ..., CNBC, 2018-05-02](https://www.cnbc.com/2018/05/02/china-added-missile-systems-on-spratly-islands-in-south-china-sea.html)
   - Amanda Macias, CNBC News, in romantic relationship with Frese. Courtney Kube, CNBC News.
   - Frese did not transmit original documents, hence they're not published.
   - Journalists knew source identity.
 - John Chris Kiriakou
   - First publication with name of CIA officer (considered classified info): [Inside a 9/11 Mastermind's Interrogation, the New York Times, 2008-06-22](https://www.nytimes.com/2008/06/22/world/americas/22iht-22ksm.13873332.html)
   - Scott Shane, Bill Keller (editor) - The New York Times. Info also offered to: Matthew Cole - the Intercept.
   - Both journalists and editor knew the identity of the source.
   - Misc: John Kiriakou publicly accuses Matthew Cole, journalist at the Intercept, for getting him imprisoned.
 - Stephen Jin-Woo Kim
   - First publication: [NK's Post UN Sanctions Plans, Revealed, Fox News, 2009-06-11](https://www.foxnews.com/politics/nks-post-un-sanctions-plans-revealed)
   - James Rosen, Michael Clemente (editor), Bill Sammon (editor) - Fox News
   - Kim did not send any original documents to the journalist, hence they're not published.
   - James Rosen knew the identity of the source. No public record confirming the editor knew the identity of the source. (See note above on this scenario.)
 - Jeffrey Alexander Sterling
   - First publication: State of War, James Risen, 2006-01-03, published by Free Print under Simon & Schuster. [State of War, Anna's Archive book download](https://annas-archive.org/md5/0d865e7d195887efe41c34547b1a3b21). James Risen was a journalist at the New York Times.
   - Publication does not contain original documents, hence they're not published.
   - James Risen knew identity of the source. Court record (US v Sterling) confirms James' wife Holly also knew identity of the source. Multiple intelligence community members also suspected the identity of the source. Public record is not clear on who all were informed by Sterling that he was the source.


### Law

US govt whistleblowers and leakers, did not leak classified documents but may have leaked classified information, imprisoned, lawyers they directly worked with
 - Henry Kyle Frese
   - lawyers for: Stuart Sears
   - lawyers against: Jennifer Kennedy Gellie, Danya E. Atiyeh, Neil Hammerstrom
 - John Chris Kiriakou
   - lawyers for: Robert Trout, Plato Cacheris, John F. Hundley, Jesse Isaac Winograd, Jesselyn Radack (advisory)
   - lawyers against: Neil H. MacBride, Mark Schneider, Iris Lan, Patrick Fitzgerald (absent), Patrick J. Fitzgerald, Ryan Fayhee, William N. Hammerstrom Jr., Lisa Owings
 - Stephen Jin-Woo Kim
   - lawyers for: Abbe D. Lowell, Paul M. Thompson, James M. Commons, Ruth Wedgwood
   - lawyers against: Michael Harvey, Jonathan M. Malis, Thomas A. Bednar, Deborah A. Curtis, Julie A. Edelstein, Ronald C. Machen Jr. (supervisory)
 - Jeffrey Alexander Sterling
   - lawyers for: Edward MacMahon, Barry Pollack, William James Trunk, J. Richard Supple Jr., Mia Haessly, Lawrence S. Robbins
   - lawyers against: James L. Trump, Eric G. Olshan, Dennis Fitzpatrick, William M. Welch II (withdrawn), Timothy Kelly, Neil H. MacBride, Dana J. Boente (supervisory), Robert A. Parker (supervisory), Leslie R. Caldwell (supervisory), Sung-Hee Suh (supervisory)

### Misc

 - empty

## Details of US govt whistleblowers/leakers who did not leak classified documents but may have leaked classified information, and were not imprisoned

US govt whistleblowers and leakers, did not leak classified documents but may have leaked classified information, not imprisoned (sorted by date)
 - Thomas Andrews Drake
 - Mark Lee Klein
 - Russell D Tice
 - Thomas M Tamm
 - Sibel Deniz Edmonds
 - Edward Loomis
 - William Edward Binney, John Kirk Wiebe
 - Perry Douglas Fellwock

### Classification status

US govt whistleblowers and leakers, did not leak classified documents but may have leaked classified information, not imprisoned (sorted by date)
 - Thomas Andrew Drake
   - not classified
   - govt alleged classified documents leak, judge declared those documents were not classified
 - Mark Lee Klein
   - leaked existence of program that may have been classified, but no classified documents 
 - Russell D Tice
   - leaked existence of classified program, but no classified documents
 - Thomas M Tamm
   - leaked existence of classified program, but no classified documents
 - Sibel Deniz Edmonds
   - leaked details that were retroactively classified after the leak, did not leak classified documents
 - Edward Loomis
   - leaked details of classified program, but no classified documents
 - William Edward Binney, John Kirk Wiebe
   - leaked existence and details of classified program, but no classified documents (as per court record)
 - Perry Douglas Fellwock
   - leaked existence and extensive amount of details of classified program, likely did not leak classified documents (as per court record)

### Key dates

US govt whistleblowers and leakers, did not leak classified documents but may have leaked classified information, not imprisoned, key dates (sorted by date)
 - Thomas Andrews Drake - first transmission to journalist 2005-11 to 2006-02 (??? exact date unclear), first publication 2006-01-29, house raid 2007-11-28, trial sentencing date 2011-07-15, no arrest
 - Mark Lee Klein - first transmission 2006-01 to 2006-02 (??? exact date unclear), first publication 2006-04-06 (??? unclear if there was a previous publication), no house raid / indictment / arrest
 - Russell D Tice - first transmission to journalist 2004 (??? exact date unclear), first internal complaint to DoD IG 2004 or 2005 (??? exact date unclear), security clearance revoked 2005-05 (??? exact date unclear), first publication 2005-12-16, no house raid / indictment / arrest
 - Thomas M Tamm - first transmission 2006-03 to 2006-06 (??? exact date unclear), first publication 2005-12-16, house raid 2007-08-01, public identity 2008-12-13, no indictment, investigation formally closed 2011-04
 - Sibel Deniz Edmonds - first internal complaint 2001-12-02, fired 2002-03-22, first transmission 2002 (??? exact date unclear), first publication (TV interview) 2002-10-27
 - Edward Loomis - first internal complaint 2002-11-09, no transmission of secret info to outside sources (??? seems unclear), house raid 2007-07-26, no indictment
 - William Edward Binney, John Kirk Wiebe - binney resigned 2001-10-31, first internal complaint (both) 2002-11-09, first transmission todo, first publication ??? (??? exact date not clear), house raid (both) 2007-07-26, no indictment, public identity 2011 (??? exact date unclear)
 - Perry Douglas Fellwock - first transmission 1972 (??? exact date not clear), first publication 1972-08, public identity 1972-07-18, no house raid, no indictment

### Social circle

US govt whistleblowers and leakers, did not leak classified documents but may have leaked classified information, not imprisoned, consequences on social circle
 - todo

### Opsec/Cybersecurity

US govt whistleblowers and leakers, did not leak classified documents but may have leaked classified information, not imprisoned, opsec mistakes and investigation methods
 - todo

### Journalism

US govt whistleblowers and leakers, did not leak classified documents but may have leaked classified information, not imprisoned, journalists they directly worked with
 - todo

 - Thomas Andrews Drake
   - First publication: [Biggest boondogle going on now, Baltimore Sun, 2006-01-29](https://baltimoresun.newspapers.com/newspage/248566127/)
   - No original documents published
   - Siobhan Gorman, Timothy A Franklin (editor) - Baltimore Sun
   - Diane S Roark knew identity of the source. No public record confirming anyone at Baltimore Sun (including Siobhan Gorman or the editor) knew identity of the source. Anonymous encrypted email tip.
 - Mark Lee Klein
   - todo
 - Russell D Tice
   - First publication: Same as Thomas Tamm, listed below. All details similar.
   - ??? not clear who all knew identity of source. Speculation is all three of them knew. - todo
 - Thomas M Tamm
   - First publication: [Bush lets US spy on callers without courts, The New York Times, 2005-12-16](https://www.nytimes.com/2005/12/16/politics/bush-lets-us-spy-on-callers-without-courts.html)
   - No original documents published
   - James Risen, Eric Lichtblau, Bill Keller (editor) - The New York Times
   - ??? not clear who all knew identity of source. - todo
 - Sibel Deniz Edmonds
   - First publication: [FBI whistleblower Sibel Edmonds interview, CBS News, 2002-10-27](https://www.youtube.com/watch?v=nlCoabsjmPI)
   - No original documents published
   - Ed Bradley (correspondent i.e. main reporter on TV), David Kohn (writer), Don Hewitt (producer), Philip Scheffler (editor)
   - Source declared identity publicly in same interview.
 - Edward Loomis
   - As per public record, no media publication directly used sensitive info from him. (He gave TV interview in 2013 but all details mentioned were public record by then.)
 - William Edward Binney, John Kirk Wiebe
   - todo
 - Perry Douglas Fellwock
   - todo


### Law

US govt whistleblowers and leakers, did not leak classified documents but may have leaked classified information, not imprisoned, lawyers they directly worked with
 - Thomas Andrews Drake
   - lawyers for: James Wyda, Deborah Boardman, Jesselyn Radack, Meghan A. Skelton, James Bamford (advisory)
   - lawyers against: William M. Welch II, John P. Pearson, Lanny A. Breuer, Steven Tyrrell
 - Mark Lee Klein
   - Note: No trial against Mark Lee Klein directly, trials were fought by EFF against AT&T and US govt. Landmark case: Jewel v NSA.
   - lawyers for: EFF legal team (Kurt Opsahl, Kevin S. Bankston, Cindy Cohn, Lee Tien, James S. Tyre, Corynne McSherry, Mark Rumold, Jamie L. Williams, Andrew Crocker, James S. Tyre), Bert Voorhees, Theresa M. Traber, Keker and Van Nest LLP (Rachael E. Meny, Benjamin W. Berkowitz , Michael S. Kwun, Audrey Walton-Hadlock, Philip J. Tassin), Richard R. Wiebe, Aram Antaramian, Thomas E. Moore III
   - lawyers against: Representing AT&T/telecoms: Michael Kellogg, Brian Matthew Boynton, Sidley Austin LLP (Bradford Allan Berenson, Eric Dean McArthur, Eric Shumsky), Pillsbury Winthrop Shaw Pittman LLP (Bruce A. Ericson, Kevin M. Fong) ; Representing US govt: Peter Keisler, Michael Mukasey (supervisory), Anthony Joseph Coppolino, Thomas Mark Bondy, Kevin V. Ryan, Carl J. Nichols, Joseph H. Hunt, Andrew H. Tannenbaum
 - Russell D Tice
   - Note: No trial against Russell D Tice directly.
   - lawyers for: Mark Zaid, Tom Devine, Jesselyn Radack, Roy W. Krieger
   - lawyers against: Alberto R. Gonzales, David Kris, Paul J. McNulty (related hearing), Robert L. Deitz (related hearing)
 - Thomas M Tamm
   - Note: No trial against Thomas M Tamm for whistleblowing, trial was for revoking bar license. He won the trial and kept his license.
   - lawyers for: Paul Kemp, Michael Frisch, Cary Feldman, Asa Hutchinson
   - lawyers against: Hamilton P. Fox III, Gene Shipp
 - Sibel Deniz Edmonds
   - lawyers for: Mark S. Zaid, Michael D. Kohn, ACLU legal team (Benjamin Wizner, Ann Beeson, Art Spitzer, Melissa Goodman), Eric Seiff, Roy W. Krieger
   - lawyers against: John Ashcroft (supervisory), Paul D. Clement, Peter D. Keisler, Douglas Letter, H. Thomas Byron III, Vesper Mei, Valerie Caproni, Kimberly Dawn Ziropoulos, Bruce Fein, Dan Marino
 - Edward Loomis
   - Note: No trial against Edward Loomis
   - lawyers for: Jesselyn Radack (advisory)
   - lawyers against: none
 - William Edward Binney, John Kirk Wiebe
   - Note: No important trial involving William Edward Binney or John Kirk Wiebe. Main trials were against Thomas Andrews Drake, and the landmark case Jewel v NSA. William Edward Binney had to sue only to retrieve his personal belongings taken from him during house raid.
   - lawyers for: John K. Wiebe, William Edward Binney 
   - lawyers against: Rod J. Rosenstein (supervisory)
 - Perry Douglas Fellwock
   - Note: No trial involving Perry Douglas Fellwock
   - lawyers for: no public info (??? seems unclear)
   - lawyers against: none

### Misc

 - empty

## Details of US govt whistleblowers/leakers who did not leak classified documents or information, and were not imprisoned

US govt whistleblowers and leakers, did not leak any classified documents or information, not imprisoned (sorted by date, incomplete list)
 - John R Crane
 - James Robertson
 - Robert J. MacLean - leaked SSI, which is unclassified but restricted
 - Diane Roark
 - todo

more info
 - todo

## Details of spies against US govt

 - todo


