2024-06-13

# My people

Until recently I modelled my relationships primarily in terms of commitments.

Now however I think this model is incomplete, and there should also be a model for "relationships as shared values/beliefs". Shared values/beliefs make it easier to do multiple interactions over time. The model below only talks about isolated interactions.

Also "relationships as shared activities" and "relationships as emotional support" can be expanded more in depth. I will update this document when I have more clarity on all this.

#### "Relationships as commitments" model

Reasons to have people in your life:
 - personalised advice or knowledge transfer
   - one-time or emergency (a)
   - regular (a?A?)
 - shared activities
   - one-time (a)
   - regular (A)
 - physical intimacy
   - one-time (pa)
   - regular (PA)
 - emotional support
   - emergency/one-time (pa)
   - regular (PA)
 - financial support
   - emergency/one-time (c)
   - regular (C)
 - logistical support
   - emergency/one-time (p?a?)
   - regular (P?A?)

Heuristics
 - Scarce resources include attention/time (labelled A), capital (labelled C) and place (labelled P).
 - Place
   - Regular emotional support and physical intimacy are the most dependent on living in the same place as the other person.
   - Logistical support may or may not be dependent on living in the same place as the other person.
 - Attention/time
   - Usually if someone requires significant emotional support, they need it regularly over some time period instead of one-time only. Exceptions exist.
   - Regular shared activities require significant time investment.
   - Regular emotional support and physical intimacy require significant time investment.
   - Logistical support may or may not require significant time investment.
   - Personalised advice can generally be provided quickly, but teaching someone a new skill or worldview can require significant time investment. If the advice or knowledge is not personalised, it can usually be acquired from internet without consuming someone else's attention.
 - Capital
   - Providing investment or loan requires a certain amount of trust in the individual or system around them that protects this investment or loan. Trust levels and systems vary depending on country and socioeconomic class.
   - Providing donation to someone does not require the same type of trust, but is obviously more costly.
   - Capital can be used to purchase many types of logistical support.
 - Not scarce
   - Receiving and giving advice, and one-off casual interactions do not require a lot of time investment.

What I can offer to others as of 2025-05
 - Place-scarce
   - I have not yet finalised a long-term location to live in for many years.
 - Attention-scarce
    - I am careful about promising regular emotional support or intimacy to anyone. I might offer this to someone depending on the person and circumstances.
    - I have promised emergency emotional and logistical support to a set of people I consider close. I am open to expanding this set to include more people.
      - I'll provide a 6-month notice period if I ever want to break these commitments.
      - I'm hoping most of these commitments last multiple decades. 
      - (If you're unsure if you're on this list, please message me and ask.)
    - I'm unlikely to offer regular logistical support to anyone. Exceptions may exist.
 - Capital-scarce
   - I am unlikely to offer regular financial support to anyone who asks. Exceptions may exist. (I might hire someone, but I consider that different as I'm getting something in return.)
   - I might offer one-time financial support to someone depending on the person and circumstances.
     - I have done this before.
     - I am open to requests for the same. If you are asking me for financial support, it will help your case if you have:
       - a good reputation verifiable by your social circle, and they are informed about the support you've received from me
       - what a bank would consider credit-worthy, such as a source of income or collateral
 - Not scarce
   - I can offer advice to wide variety of people during my lifetime. (Whether my advice is any good is a harder question, I'd like to atleast offer average advice to most people and great advice to some people.)
   - I can have one-time (or few-times) casual interactions with a wide variety of people during my lifetime.

What I want/need from others as of 2025-05
 - Place-scarce
   - I have not yet finalised a long-term location to live in for many years.
 - Attention-scarce
   - I am unsure about what types of emotional support I want from others. I am still in exploration phase.
   - I am open to finding long-term partner for intimacy. See my [date me](./date_me.md) document for more.
   - I am trusting a handful of people I know to offer emergency logistical support when I need it. Having more such allies couldn't hurt, including more trustworthy and more capable ones.
   - I am unsure which shared activities I would like to regularly engage in. I am still in exploration phase.
 - Capital-scarce
   - I am trusting a handful of people I know to offer emergency financial support. I think there is very low probability that I will actually end up using this.
   - I want donation for projects I want to work on. See my [donate to me](./donate_to_me_asi_leaks.md) documents for more.
   - I can be hired for a big enough salary. See my [hire me](./hire_me.md) document for more.
 - Not scarce
   - I want to get advice from a wide variety of people. I am likely to ignore a lot of advice though. I especially want trustworthy advice from people a) with similar life goals as me, and b) with empirical data of outcomes of people with similar life goals as me.
   - I want to have more one-time (or few-times) casual interactions with a wide variety of people in my life.

Ask don't guess
 - If you want to request anything from me, feel free to ask. You don't have to guess and pre-emptively reject yourself, it is much better to ask.
 - I am comfortable rejecting requests I cannot fulfill, and I will generally try not to make you feel uncomfortable for making very personal requests. (If you're still concerned, send me an anonymous email.)
 - I generally think of myself as a helpful person. As long as you're not asking me for a large amount of a scarce resource (like time, capital, etc) there's a high probability I will help you.

Who?
 - If we share topics of curiosity or similar ways of thinking on a day-to-day basis, then too I am likely to want to spend time interacting with you.
 - I value novelty and ideological diversity. If I find novelty in my interaction with you, it is likely this means either you have deviated from social norms in some way, or you belong to a group whose social norms differ from the groups I have spent time in. If either of these is true about you, I am likely to find you interesting.
 - Getting into my inner circle (to receive significant support from mine) can usually be done by fitting into one of the above clusters plus having a significant number of shared experiences with me. There may be other ways to do it; I don't have a deep understanding of why I find people interesting or worth spending time with.
