2025-05-05

# Therapy effectiveness (Personal)

Disclaimer
 - Quick note
 - I have confirmed with everyone who this document is talking about, that they're okay with this document being published.
 - I don't have background in psychology, or a huge amount of experience as a client. I have a medium amount of experience (>50 sessions) as a client.
 - I talk a lot about anecdotal personal experiences here, rather than average result of all people. Don't generalise my anecdotes too far.

Research
 - Empirical data shows therapy is helpful for some people and not for others. I could not find clear empirical data to predict in advance whether you're in a category of people who is likely to have higher or lower success rate.
   - I have not read many papers on it. I usually end up reading reviews of the papers by people like Scott Alexander and others.

Personal anecdotes
 - I have had mildly positive but not greatly positive experiences with therapy so far.
   - Not keen on sharing a lot more details on a public forum. If you want complete information on this you're better off befriending me and asking in-person.
   - A common problem I run into, from my perspective atleast, is differences in core values and beliefs.
     - Therapists seem to be taught to be maximally non-judgemental and accepting all values and beliefs. Even if they don't agree with your worldview, they are supposed to imagine for a moment they had your worldview and try figuring out a solution with that assumption in mind.
     - I think I have had multiple therapists who, from my perspective, lacked meta-honesty when doing this with me. Example of a meta-honest comment: "I might disagree with some of your opinions but I refuse to talk about the disagreement because I don't think that's best for the type of relationship I'm trying to build with you. As per my worldview it may or may not be good for you to continue down your current path. But I'm going to ignore all that and just focus on what's good for you assuming your worldview"
     - I think I distrusted multiple therapists because this was not explicitly discussed. I would force them to cough up information about their values and beliefs, without realising they've been trained to not share that information with me.
     - I think human brains have a lot of specialised wiring to identify if someone is on your side or not. If someone diplomatically tries to look like they're on my side but actually they're not, that can make them seem less trustworthy to me compared to if they honestly admit they're not on my side.
     - In theory, a therapist can choose to support you on your current path even if they don't personally like that path, because that's what you're paying them to do.
     - In practice, I think payment alone is not a good enough incentive. A therapist (or any human for that matter) is likely to do a better job helping you out if they actually want you to succeed on your current path for reasons besides just money.
     - In my personal case, I think this also becomes difficult as I'm pursuing explicitly political goals that can damage the lives of other people for a greater good. It's easier to help someone pursue goals you don't believe in, if those goals are just personal goals (like find a partner of xyz type or make lots of money) than if those goals are political goals (like organise protests in order to destroy someone else's business).
     - I think most therapists worldwide believe in something similar to deontological moral system (don't do harm ever, greater good never justifies harm) and I don't believe in it. This disagreement also, I think, plays a role in the types of problems I have run into during therapy.
   - I also think therapists' secrecy norms are generally not as strong as required for someone who actually has their career or life on the line for violating secrecy.
     - Many therapists lack a background in criminal investigations and lack understanding of what stronger guarantees of secrecy actually look like.
     - Examples: lawyers, spies, criminals or potential criminals, foreign diplomats, major politicians, billionaires, allies/advisors of major politicians or billionaires, etc
     - This probably doesn't matter for therapy efficacy in most cases, as most people's lives aren't interesting enough for an adversary to put a lot of effort into getting their secrets.
     - It definitely matters for a small set of cases where the client takes secrecy more seriously than the therapist. Sometimes the client is right in needing stronger guarantees on secrecy and sometimes the client overestimates their true need for these guarantees. But in any case, most therapists can't provide them.

Speculation
  - The main reasons a therapist can give you good advice:
    - less bias compared to you - they are not personally afflicted by the same problems you are, which can let them be less biased around it. This fails if your problems are in fact global problems shared by them. Also it's possible an intelligent friend can play this role.
    - they hve more information than you
      - they've seen other people's secrets and they understand the world better as a result. - I believe in this, if a therapist has seen lots of people with problems similar to you, they likely have some understanding of the common generators to those problems.
      - they have been trained on a standard set of procedures that have weak positive empirical evidence - I'm confident this works for a subset of people. If you don't have one of the standard problems, success rate of therapy varies a lot more I think.
      - they have spent a lot of time thinking about psychological problems, unlike you. - IMO median therapist does not do enough world-historically-original thinking that they'll be likely to solve your problems this way. There are likely outlier therapists who are good at thinking originally and creatively to solve your problems.
 - Therapists are often good at emotional support.
   - I'm usually biased towards requiring advice more than support, but emotional support is valuable to a large number of people. Most people fundamentally want to be heard, understood and accepted.
   - Beyond that though, client needs practical advice to build life outside of therapy not just support.
   - I tend to measure effectiveness based on good advice rather than based on good support. This is a personal bias of mine.


