2025-07-11

To do for self
 - rewrite this whole post once you have more clarity. this post is somewhat of a mess right now.

# Project ideas for you

#### Update

 - Update (2025-07-11)
   - The key assumption I make is that if I could get global referendum on whether specific technologies should be built (artificial superintelligence, human genetic engineering, etc), they will agree with me on a pause, despite coming from very different cultures as me.
     - This is an assumption I still need to validate sufficiently so I'm confident in it myself.

 - Update (2025-06-18)
   - I think the main problem with this post as it's currently written is that it discusses projects and technologies too much in isolation and not in terms of the "movements" they unleash on the world.
     - A "movement" includes a cluster of technologies, an ideology/morality, a mechanism of acquiring capital or attention, and an equilibrium (in the resulting power struggle) that decides how that capital and attention ends up being distributed.
   - Current views
     - I'm weakly confident it's net bad to accelerate ASI.
     - I'm highly confident it's net good to accelerate energy.
     - I'm weakly confident it's net good to accelerate societal transparency using internet.
     - I'm weakly confident it's net good to accelerate societal transparency using internet, before accelerating any intelligence-enhancing tech (ASI, human genetic engg, BCIs, human connectome research, neuropharmacology)
     - In general I find human genetic engg and BCIs as poorly studied movements, atleast in terms of supportive ideologies and resulting distribution of power.
     - I'm weakly confident atleast some people should be trying to search for and create more movements.
   - Summary of the post
     - accelerate: solar energy, fusion energy
     - stop: artificial superintelligence, human genetic engineering, genetic engineering more broadly, brain computer interfaces
     - stop: bioweapons
     - accelerate: internet anonymity
     - accelerate: psychology, erase language barrier
     - ignore unless special insight: quantum computing, carbon capture, anti-aging, nanotech, cryonics, macroeconomics, etc
       - There's a long list of fields I've invested some time into and advice you not to invest your time into.
     - no opinion yet: solar geoengineering

#### Intro

If you don't want to read a lengthy post, just look at these price charts. Many of the projects I suggest are direct implications of these graphs.

Historical price charts
 - [Computer memory, storage](https://ourworldindata.org/grapher/historical-cost-of-computer-memory-and-storage)
 - [GPUs](https://ourworldindata.org/grapher/gpu-price-performance)
 - [DNA sequencing](https://ourworldindata.org/grapher/cost-of-sequencing-a-full-human-genome)
 - [Solar PV modules](https://ourworldindata.org/grapher/solar-pv-prices)
 - [Battery cells](https://ourworldindata.org/grapher/average-battery-cell-price)
 - Sensors
   - I can't find a good graph for this yet but cost of sensors (electric sensors, light sensors, transducers) has gone down, which can potentially drive down cost of scientific instruments in basically every field. Cost reduction in scientific instruments in turn drives scientific progress.
   - Example: gigapixel camera lenses, DNA nanopore sequencers, brain computer interfaces - all these research fields as of 2025 seem to be working more on electronic hardware and software, than on optics or genetics or neuroscience respectively (pls correct me if I'm wrong).

#### Full post

What?
 - Here's a (incomplete) list of projects that might be worth pursuing.
 - Feel free to complete any of them if you find them interesting enough.
 - You'll probably also get other ideas if you browse through my website. I hoping to minimise duplication of info on my website.
 - I might work on some of these myself in future.

Important?
 - What is "important" depends on one's worldview.
 - This list is biased towards my worldview.
 - I would encourage to form your own independent view of what is important or meaningful to you and select projects based on that, instead of blindly copying my view.
 - Since your ability to succeed at the project depends on your skills and your interests, it seems to me worth listing many options, rather than few.
 - It's possible some of these ideas are completely off-base. If so, please let me know.

For each of the projects listed, you can directly work on the project. Or you can do "meta" work that enables other people to complete the projects. Depending on the project, you can identify which of these meta work will be more useful and which will be less useful.

Examples of meta work
 - find people who can fund the work
 - find people interested in doing the work and connect them to each other
 - raise media attention for the work to find more interested people
 - figure out business models if possible (Usually the most impactful+tractable+neglected opportunities to improve the world are hard-to-commercialise. Once you can find a way to commercialise them they become less neglected)
 - set up research labs or offices with infrastructure conducive to the work, and reduce entry barrier for interested people to get access to the infra
 - publish reviews of existing work. write about failed agendas so researchers won't waste time on the failed ones.
 - train people who are interested in doing the work but lack skills


## Movement: Stop superintelligent AI

#### AI research - artificial superintelligence

 - Please read my post on [AI timelines](../my_ideas/my_ai_timelines.md) or related posts made by others.
   - They explain my guesses on why the AI labs in San Francisco might invent artifical superintelligence in the next 10 years, and what its outcomes could be.
   - If such arguments persuade you, consider working in the field of AGI/ASI safety, and publicising this issue to more people.
 - Consider publicising this issue to more people.
   - Make a public statement on youtube indicating your beliefs, and maybe why. Here's [my video statement](https://youtube.com/shorts/T40AeAbGIcg?si=o05tezYK5ojX5Tq_).
   - Random idea: Consider uploading a youtube where you print LLM weights on sheets, hire ~100 people for a year (or pretend to) and ask them to compute a forward pass by hand. My guess is this will make it easier for a layman to understand how AI actually works.
   - Random idea: Host older models like GPT2 (125M, 2019) and GPT2-NeoX (20B, 2022) along with newer models like GPT-3.5-Turbo (175B?, 2021) and o3 (2T?, 2025) so that non-technical people get a better grasp of scaling laws. This is trivial to do using huggingface TGI but needs >$100/mo in funding for GPUs.
 - I hesitate on making specific recommendations on which exact project or job role is good, you have to figure that out for yourself.
   - Please don't blindly defer to others when making this decision.
   - I think lesswrong forum is a great starting point for your exploration, but don't get stuck there. 
     - I think debating on an internet forum is by far not the highest leverage move you have available to you.
     - I think a lot of org leaders in EA/LW spaces are self-interestedly protecting their own reputations when they invoke arguments like "unilateralist curse".
     - I also think there's the usual phenomenon of people who just like maintaining a steady tech job and arguing on an internet forum, and will invent rationalisations for why that's the best thing for everyone to do. If you are a high-agency person, don't blindly take advice from low-agency people.


## Movement: Increase societal transparency using internet

#### Anyone

Life
 - Live a unique or unusual life if you feel you want to do this.
   - You are normalising other people also leading unique lives.
   - You will create more raw data on what the outcomes of living that particular life is like. If enough people do this, eventually some people are likely to find better ways of living.

Writing
 - Write a book about your life that will be released after you die. Prefer including information that you don't feel safe sharing while you are still alive.
   - Objective: People of later generations will get unfiltered view of the good and bad in your life, and can use this information to make their lives and their society better.
   - If the information will negatively affect other people who'll outlive you (such as family members), consider leaving the book with a young lawyer / trusted person and a date when they should release the book.
   - Publishing it (getting an ISBN or whatever) is optional. Put the book online and pay a trusted person to ensure the server hosting it doesn't ever go down.
   - You can also start a non-profit that popularises this "autobiography after death" idea and handles legal, payment, webhosting aspects for everyone else who wants to launch such a book.

 - If you hold any well-paying job, record videos of your day-to-day life at work. This will help others more quickly acquire the necessary tacit knowledge for them to get your job.

#### Politics

 - Consider starting a youtube channel and getting enough attention to influence politics.
   - Which niche you want your initial userbase to come from is upto you, the important thing is to not stop there and go for mass appeal eventually.
   - Which country's politics you'd like to influence is upto you.
     - You probably have most knowledge about the country you live in.
     - You might be able to take a neutral or contrarian stance on a country if you don't live in it. This might improve collective truth-seeking.

#### Media/journalism

 - Consider starting an independent espionage org to infiltrate and HD video record an org doing something of questionable morality. For example, the Mole (anti-NK) or Edward Snowden (anti-US).
   - Consider NOT mentioning my name anywhere; I make no public claims on which orgs do or don't deserve to be spied on.
 - Consider operating a SecureDrop server at your media org
   - This plan requires 3 people, a journalist who can filter and publish info, a sysadmin who can manage server and a politically connected individual who provides immunity to the other two.

#### Biotech

Research
 - Look into feasibility of mics and cameras implanted into human body. (If this turns out feasible, carefully pick who to disclose this information to.)

#### Cybersecurity

Institutions
 - Consider building an independent cybersecurity team that attacks powerful institutions and publishes its hacks to the public, instead of selling its services or zerodays to an intelligence agency.
   - You can hack a large company or govt. I make no public claims on which companies deserve to be attacked.
   - I make no public claims on what you should redact before publishing it. The minimum is a handful of corporate documents which you consider incriminating, the maximum is unredacted DB snapshots.
   - For practical reasons, you're likely to be more effective if you pick targets outside of your nuclear state and its allies. If you're picking targets within your state, consider applying for asylum outside of it, after the attack.
   - Many people are likely to see this as net negative. I don't share their view, but also there are nuances here which I haven't figured yet.
 - Consider operating a SecureDrop server at a media org
   - This plan requires 3 people, a journalist who can filter and publish info, a sysadmin who can manage the SecureDrop server and a politically connected individual who provides immunity to the other two.

Hardware
 - Improve airgapped tech
   - Test all the Faraday cages available online for security. Suggest recommendations based on security, price, blending in with society, etc
   - Handmade radios that can read wifi IP packets. (I'm not sure this is even possible.)

Software
 - Improve internet anonymity
   - Payment-based (or proof-of-work-based?) firewalls so server owners don't need to deanonymise and demand "reputation-building" of IP addresses to defend against DDOS. Proton and Brave already have working implementations of proof-of-work captcha, I'm unsure why they haven't replaced Cloudflare yet. So you could figure that out.
   - Pay-for-bandwidth on Tor (or something Tor-like), so nobody has to altruistically donate bandwidth on Tor. In theory, it seems trivial to me to put three Monero payments inside the three hops.
   - Invent something Tor-like that resists analysis of metadata and traffic stats better than Tor
 - Improve airgapped tech
   - Invent a cli tool that's pgp but doesn't suck.
     - I'm actually upset by how much human potential has already been wasted, compared to a world where pgp cli wasn't cumbersome to use.
   - Increase ease-of-use of LUKS disk encryption.
   - Help with mature implementation of Shamir secret-sharing that can ship with linux.
     - `ssss` already exists, I'm not sure what's the process to make it as trustworthy as pgp for example. Probably just more cybersecurity researchers using it and reporting issues?
   - Create a Linux phone that doesn't suck.
     - Will need to get popular enough that all popular apps also ship a linux version of their app. Some apps can run as websites and send push notifications with browser in background. Other apps may benefit from running locally (such as maps, requires GPS).
     - ios and android (and the mobile browsers) would be a lot less locked down if linux phones existed as a competitor. It will be easier to configure the firewall yourself, install custom apps and trust that there isn't a software backdoor in the OS.
 - Misc
   - Good SFTP GUI clients for android and ios (iphone)
     - Support image/audio/video thumbnails and previews, GUI file browser, support internet connections that are really good (low latency) and really bad (high latency, high packet loss)
     - ios filesystem probably sucks on purpose so people are forced to purchase icloud subscription (or purchase macbook+airdrop) instead of renting a linux server. The bigger move to play here is to launch a linux phone (see above).
   - Look into Denuvo game crack and study state-of-the-art in code obfuscation and reverse engineering.
     - Using deliberately complicated data structures is one of the last defences against a world of complete transparency, see how well it actually holds up versus not.

Writing
 - Write about all the ways AI is automating the cyberattack and cyberdefence pipelines, including pentesting, reverse engineering, static analysis, and so on.
 - Write about hardware backdoors.
 - Write about cyberwarfare from a game theory lens.
 - Find zerodays, leaked identity databases, hacking software etc and publish about them publicly.
   - It would be nice to get more public information on what state of the art looks like here.
   - There's a responsible way to do this, figure that out for yourself and follow it.

#### AI and information tech

Software
 - LLM embedding search projects
   - Obtain upperbound on effectiveness of LLM embedding search-based stylometric doxxing.
   - Datasets and embeddings
     - LLM embedding search over Libgen books' text.
       - Update: I've done this.
     - LLM embedding search over CommonCrawl plaintext.
     - LLM embedding search over ethereum blobdata or another hard-to-censor data store.
     - LLM embedding search over whistleblower-leaked datasets.
   - Programs
     - cli tool to convert all file formats to plaintext.
     - Standardised file formats to share embeddings
 - LLM language translation projects
   - Why?
     - People of different countries have significant differences in the values they live. Erasing language barrier may lead to more homogenisation of these values globally.
   - Integrate LLM language translation better with browser and OS.
   - Realtime voice language translation for in-person conversation. Connect to two pairs of headphones and two screens. Play the translation while the person is still speaking, and subtract the original from the headphone mix. [Example by Twilio](https://www.loom.com/share/71498319660943638e1ef2c9928bcd2a)
     - Pricing is an issue, will reduce with time as GPU FLOP/$ goes down. As of 2025-04, gpt-4o-mini realtime API costs for audio output ~ `($20/1M tokens) * (20 tokens/s) = $0.0004/s = $1.44/hour`
     - Update: I found a hack for this. Use rogue amoeba loopback to pipe safari audio output (openai playground output) to zoom input.
 - Language learning content
   - Possibly produced by video generation AI
   - Produce video content aimed at language learning based on "comprehensible input". (Video content of real-life scenarios where visuals help explain to the viewer what the audio means.). Prefer near-zero large gaps in the audio, entertaining not just educational, and progressively increase vocab size and grammar complexity based on the learner's language level. Repeat this for all pairs of popular source and destination languages.
 - One-click LLM-generated summaries of every ~10 pages of any libgen epub.

Infra
 - Hard disk "dead drop" marketplace - as a replacement to torrent for large datasets

#### Any STEM researcher

Writing
 - Make a blogpost with photos of the latest equipment in your lab, short descriptions of what each equipment does, and short videos showing how to operate it.
   - Target audience: STEM-degree holder who know nothing about your research field
   - Objective: someone can quickly get an idea of what your field of research does on a day-to-day basis, without having to complete a bunch of courses.
   - Ideally you could even publish video recordings of all your experiments which are published in journals. It will be easier to understand, replicate and notice errors in experiments if there is publicly available video recording of them.
   - Update: jove.com seems like it already does this. It's not open source though, seems to follow journal subscription model. Open source resource may still have value.
 - Identify Hamming questions in your research field and write about them. Hamming questions are basically the set of questions that would accelerate the research field *the most* if solved, and have a non-negligible chance of being solved if people tried solving them. For many fields, the Hamming question is IMO inventing a data collection tool (like microscope, brain probe, cyclotron, etc.) that provides data at a resolution/cost/speed not available with existing tools.
 - In general if you have any sort of expertise that is rare on Earth, consider writing about it. If you're patient you may be positively surprised how many people read it.

#### Psychology

 - Consider starting a youtube channel on psychology or or cultural issues.
   - IMO a lot of problems in modern world can be solved through changes in culture, even if there are no significant changes in material circumstances. So a few people like you could many countries' populations on a better path.
 - Psychology research using internet.
   - Internet is bringing to public light a lot of private information about people's life experiences. You can study this to advance psychology as a field.
   - If you have a sufficiently large social media following, you can also run surveys with much larger sample sizes than a handful of college students.


## Movement: Accelerate energy

#### Energy

 - I think a lot of cultural problems in the world would be improved if everyone involved was more wealthy.
   - IMO it's important wealth is measured in terms of real resources like food, water and energy consumption per capita, and not measured only in terms of dollars. The abstraction is helpful in some contexts but confusing in others.
   - Energy prices have been stuck at around $0.10/kWh for over 50 years and downstream of this, a significant fraction of humanity has been stuck in the middle and lower socioeconomic classes.
   - Bringing everyone to upper and upper-middle classes will allow everyone to have the option to lead lives more independent of each other.
   - **Giving all individuals the ability to exit unhealthy family relationships, workplaces, communities, nations etc will help fix a lot of cultural problems in society IMO.**
   - Material abundance has generally correlated with peace. I'm still unsure about the underlying dynamics though.
   - IMO this is one of those rare ideas that is radical and yet agreed on as a good prokect by most people, if they think enough about it.

Research, writing
 - Work on reducing cost of solar energy further, or write about why this can't be done.
   - AFAIK solar is already the cheapest energy source on Earth, at around $0.05/kWh. Forecasts for 2030 for seem as low as $0.02/kWh but I'm unsure.
   - I have tried reading about the entire production process but still haven't figured exactly which process improvement was the critical one. Or how to forecast future prices. There's clearly atleast 50% overlap between solar PV production process and GPU production process, except one is operating in bulk (maximise throughput) and the other is miniaturised (increase performance per unit, even if it reduces throughput).
 - Consider working on fusion energy, or writing about it.
   - I'm not particularly optimistic on the plan of using magnetic fields to contain 10M K plasma, maybe pursue a different research agenda unless you have some special insight into why you can make this work. If you spend few months in the space you'd have more expertise than me and would be better equipped to pick research directions.


## Movement: Stop genetic engineering

#### Biotech

In general a bunch of biotech research is dual use. I don't at the moment have good recommendations for how to navigate that. You'll have to figure it out yourself.

 - Figure out societal consequences of human genetic engineering of humans to increase IQ, executive function, etc. Figure out new institutions and ideologies so this research can safely occur.
   - This is one of the most radically life altering tech that may soon exist. I don't yet have a strong opinion whether it's good for the world for human genetic engg to progress. You will have to form a strong opinion to pursue this because a lot of people in the field will dislike your opinion irrespective of which side you pick.
     - My current weak opinion is this is net negative for humanity if pursued in 2025 as a silicon valley startup.
   - [Related](https://www.lesswrong.com/posts/JEhW3HDMKzekDShva/significantly-enhancing-adult-intelligence-with-gene-editing)
   - High quality datasets is a bottleneck to understanding this problem, if you are pursuing anything besides a global ban.
     - This will require DNA sequences matched to life outcomes for millions of people. Assuming per genome cost of $500, it will cost $500M to collect 1M sequences unless you can persuade people to your cause and donate their sequences to public domain for free.
 - Figure out societal consequences of accelerating any subfield of genetic engineering. Figure out new institutions and ideologies so this research can safely occur.
   - Some potential areas: gene drives, reducing cost of DNA sequencing, automation of any part of genetics R&D such as gene cloning, artificial selection
   - Assuming you were interested in acceleraring genetic engineering:
     - I'm optimistic on building systems that can search for good edits and populate them across a species, instead of manually searching for that one magic edit. Example: gene drives can populate a species with an edit quickly, but they don't do the search by default.
     - I don't yet have enough expertise to suggest which the best subfields are, but its obvious some are much more promising than others.
 - Work in the bioweapons space, to reduce risk of anyone using a bioweapon or mitigating damage
   - I'm not sure what the best projects are in this space, go ask someone who knows about it.

Writing
 - Write about automation of biotech R&D. Optimistic/pessimistic/neutral take, anything is fine.
 - Write about history of 1990-present biotech.


## Movement: Stop brain computer interfaces, stop human connectome research

#### Neuroscience

 - Review existing work on simulating fruitfly brain or figuring out more insights about it. Or write about this topic.

 - Review existing work on brain computer interfaces.

 - This work could end up net negative for humanity IMO. Form an independent opinion on whether its positive or negative, and under what circumtances.

#### AI and information tech

 - Example: [VNC challenge](https://codex.flywire.ai/app/vnc_matching_challenge) in drosophilia connectome. No neuroscience knowledge needed. Fully map vertices between two graphs (~19k vertices each, ~2-4M edges each) to maximise number of common edges.
   - This investigates the connectome hypothesis. Is a weighted graph of neurons (connectome) alone sufficient to learn useful things about C elegans or Drosophilia melanogaster brains, or is lower-level information such as electric signal data needed?


## Movement: Discover new movements

#### Political science

 - Figure out political institutions and ideologies that can safely handle technologies like ASI, BCIs, human genetic engineering, etc
   - I hesitate putting this way up here, main reason being it's so poorly defined.
   - Existing ideologies like liberalism, free markets, representative democracy and so on may be suboptimal if not completely incompatible with a society with these technologies. Figuring out alternatives in theory and in practice seems worth doing.

#### Any STEM researcher

Writing
 - Try to identify if accelerating your field of research is net negative for humanity, and what circumstances are required for it to be positive.
   - This question doesn't get asked as often as it should IMO, common reasons being people don't want to inconvenience their social circles or leave a well-paying job.
   - If you think it is net positive, then see the further points.


## Movement: ??? Neuropharmacology

I haven't made up my mind on this movement yet, is it net good or net bad. Haven't studied deeply. Most of the important research happened during WW2 and has led to somewhat of a cultural taboo.

#### Pharmacology

 - Figure out substances that do any of the following, but without the downsides and side effects that existing substances have:
   - improve socialising similar to alcohol and cannabis, or similar to oxytocin. Especially focus on changes in ability to experience trust or love that are long-term.
   - render someone incapable of lying, similar to barbiturates but more effective. (If you find this, disclose this very carefully, it has huge political implications.)
   - improve fluid intelligence (IQ), focus, executive function, working memory, long-term memory, etc.
   - increase human lifespan
 - In general any sort of work in pharmacology that is aimed at improving the baseline human condition, rather than fixing disabilities, is someting I'd be a fan of.
 - In general pharmacology seems to focus more on changes in low-level cognition with the hope this percolates to changes in high-level cognition instead. (System 1 versus System 2?) Figuring out ways to directly target changes in high-level cognition seems useful.


# Some more projects

Here's some more cool projects. I'm less confident they're important or worth doing, but consider looking into them anyway.

#### Politics

 - Look into industrialisation of agriculture in India, in particular the politics involved in consolidating small land holdings into big ones so that large-scale automation becomes possible.
   - 500 million plus people's lives depend on it.

#### Urban planning

 - Figure out why don't we build one city with one billion population
   - Bigger cities will probably accelerate tech progress, and other types of progress, as people are not forced to choose between their existing relationships and the place best for their career 
   - Assume end-to-end travel time must be below 2 hours for people to get benefits of living in the same city. Seems achievable via intra-city (not inter-city) bullet-train network. Max population = (200 km/h * 2h)^2 * (10000 people/km^2) = 1.6 billion people
   - Is there any engineering challenge such as water supply that prevents this from happening? Or is it just lack of any political elites with willingness + engg knowledge + governing sufficient funds?
   - If a govt builds the bullet train network, can market incentives be sufficient to drive everyone else (real estate developers, corporate leaders, etc) to build the city or will some elites within govt need to necessarily hand-hold other parts of this process?

#### VR

 - Build VR good enough that in-person conversations feel equivalent to online conversations
   - This is an alternate approach to the above problem of not forcing people to pick between their relationships and their career
   - I haven't studied VR well enough to decide whether this is a promising project or not.

#### AI and information tech

Software
 - Write better RAM-only software
   - We're reaching a point where the whole world's plaintext data and most of its programs can run entirely in RAM, rarely ever touching the disk. (As of 2023, RAM is $1000/TB, in 10 years it could be below $100/TB making storing CommonCrawl \*.WET 600 TB in RAM affordable.) Even backup can be done to another machine's RAM instead of to disk. Performant RAM-only databases and software are still hard to write however.
   - In general OSes and software are often written with the assumption that RAM caches some subset of data on disk and disk caches some subset of data on other disks in the network. These assumptions might or might not change in future.
 - Improve DevOps to setup cloud machine in < 1 second
   - Within one second it should be possible to get the following ready: launch new machine, install requested software (apt install xyz, snap install xyz), libraries (npm install xyz, pip install xyz, etc), load user API keys to respective tools, load user dataset on disk
   - There are two software dev paradigms: where developer time costs more and where hardware+electricity costs more, this is to speedup the former
   - (Maybe) Increase ease-of-use of resizing and attaching/detaching block storage without corrupting the filesystem or data. Attaching disks is a faster way of transferring large datasets compared to downloading to disk over the internet. (For all data except large datasets, ideally they're stored in in-memory databases and no disks are needed.)
   - (Maybe) Provide installed versions of all popular apt, pip, npm liraries on such attachable disks so no separate installation time required.
     - Allow fetching them during first run of the program instead of mandating a separate install step.
     - Distribute .pyc bytecode instead of python wheels (for all combinations of OS, python and library versions). In general, figure out why npm installs and pip installs are slow and speed them up
   - (Maybe) Standardise a keystore where someone can dump all their API keys, and import them on any internet-connected machine with one-liner command + password + 2FA (optional).
   - (It's possible some of this can already be done a different way, and I'm just ignorant)
 - Global notification app
   - (Launching a linux phone is a bigger move than all this though, prefer working on that if possible.)
   - Allow any website to register with your app and push mobile notifications through your app
   - Why?
     - Most mobile apps could be mobile websites instead, if they had a way to send notifications while closed.
     - Apple and Android are trying to kill mobile websites, in order to push mobile apps instead. Hence mobile websites can't send notifications and they might ship a copy of the browser instead (electrum).
     - Open source: mobile OS - no, browser - yes, desktop OS - yes
     - Sandboxing: mobile OS - good, browser - good, desktop OS - bad
     - Usage as of 2025: Mobile apps > mobile browser > desktop browser > desktop apps

Infra
 - Setup low latency ("edge") GPU datacentres in hundreds of cities across the world
   - i.e. as many geographic locations as cloudflare, not aws
   - its possible cloudflare themselves do this over next 1-2 years
   - This is a "cool" project that benefits a few use cases (such as AI-enabled cloud gaming) but may not have much effect on more politically relevant stuff like AI timelines or internet privacy.

#### Games

 - Write a game that does not blindly copy ideas from existing game genres.
   - Games allow you to express a strictly larger set of ideas than films or books. However as of 2024 it's still more common for a person to say that they changed their life over a book or film, than a game. If you're imaginative enough, you can change this.

#### Robotics

 - Run an automated kitchen operating at medium scale (1k-1M meals/day).
   - If you compare society before Newton and today, cooking is one activity that still consumes a huge number of man hours as it did then.
   - "Scaling laws" + robotics has lots of low hanging fruit, see DeepMind's end-2024 papers for example.
   - I would currently recommend *not* advancing the state of the art in AI or robotics.

#### Biotech

 - Look into making meal replacements (Huel, Soylent etc) more tasty, run longer scale trials etc
   - I don't know much about freeze-drying proteins/vitamins/minerals or about chemistry of taste, so I'm the wrong person to guide you here.
 - Work in the artifical meat protein space
   - Again, don't know much about this space personally.
