2025-03-07

# Reply to Vitalik on d/acc

Vitalik recently wrote an article on his [ideology of d/acc](https://vitalik.eth.limo/general/2025/01/05/dacc2.html). This is impressively similar to my thinking so I figured it deserved a reply. (Not claiming my thinking is completely original btw, it has plenty of influences including Vitalik himself.)

Disclaimer
 - This is a quickly written note. I might change my mind on this stuff tomorrow for all I know.

Two axes he identifies for differentially accelerating tech are:
 - big group versus small group - prioritise accelerating tech that can be deployed by a small group rather than by a big group
 - offense versus defense - prioritise accelerating tech that can be deployed for defence rather offense

I think I generally get where this is coming from and find these important ideas.

Some confusions from my side:
 - Self-replication
   - I am generally in favour of building self-sustaining social systems over not. Success of d/acc ultimately relies on followers of Vitalik's d/acc a) building only those tech that satisfy d/acc criteria and b) providing social approval to people who build tech as per d/acc criteria. For this system to be self-sustaining, point b) may need to be passed into the future long after all of d/acc's current followers (vitalik included) are dead. Self-replicating culture is possible to build but extremely difficult. Religions are among the oldest self-replicating cultures. Ideas such as markets and democracy have also successfully self-replicated for multiple centuries now. I'm unsure if this idea of d/acc being present in culture is alone sufficient to ensure people in year 2200 are still only building tech that satisfies d/acc criteria
   - Often, culture is shaped by incentives IMO. If people of the future face incentives that make it difficult to follow d/acc, they might abandon it. It is hard for me to explain this idea in short, but it is something I consider very important. I would rather leave future generations with incentives to do a Thing, than just culture telling them to do a Thing.
 - Terminal values
   - To me the terminal values of all these galaxy-brain plans is likely preserving and growing timeless stuff like truth and empathy.
     - Defensive tech provides truth a good defence as information is easy to replicate but hard to destroy. As long as multiple hostile civilisations (or individuals) can coexist, it is likely atleast one of them will preserve the truth for future generations.
     - However, it is harder for me to see how any of these plans connect to empathy. Sure, totalitarianism and extinction can be bad for promoting empathy, but I think it requires more work than just preventing those outcomes. Increasing resource abundance and solving physical security seem useful here. Building defensive tech can increase physical security. In general, my thinking on which tech increases versus decreases human empathy is still quite confused.
 - Takeoff may favour offence
   - Intelligence-enhancing technologies such as superintelligent AI, genetic engineering of humans to increase IQ, human brain connectome-mapping for whole brain emulation, etc. are so radically accelerating that I'm unsure if an offence-defence balance will get maintained throughout the takeoff. A small differential in intelligence leads to a very large differential in offensive power, it is possible offense just wins at some point while the takeoff is occuring
 - Entropy may favour offence
   - Historically, it has always been easier to blow up a region of space than to keep it in an ordered state and defend it against being blown up. Defence has typically been achieved and continues to be achieved in game theoretic ways, "if you blow up my territory I blow up yours", rather than in actual physical ways, "I can defend against your attack, also my defence costs less than your offense". This seems somewhat inherent to physics itself, rather than specific to the branches of the tech tree humans have gone down as of 2025. Consider this across times and scales, from the very small and ancient (gunpowder beats metal locks) to the very big and futuristic (a bomb that can blow up the observable universe may have no defence).
 - Maybe big group is inherently favoured
   - What a big group can build is a strict superset of what a small group can build. Ensuring that all the frontier tech can necessarily be built by small groups is hard. A lot of tech in today's world follows centralised production decentralised consumption. For example solar panels can only be manufactured by a large group, but they can be traded and used by a small group. Even if all this tech is open source such that another large group could, in theory, build a copy of it, in practice this often doesn't happen (why?). Supply chains stack on top of each other, so a few such leads stacked on top of each other means no other big group in the world can easily independently produce the product if they have to build it from scratch (by scratch, I really do mean digging their own water and iron ore and crude oil out of the ground and building an independent supply chain). Assuming multiple big groups can't build independent supply chains, one big group can use measures such as export controls to prevent other big groungs from building a specific tech.
   - Internet has made it harder for any big group to maintain monopoly on the knowledge required to produce a given tech, but there is a significant lead time that can be still be obtained by being first to deploy a tech (or tech stack or supply chain) irl or at scale, which can then be leveraged for some objectives.
   - In general considering all these nuances seems worth doing for me.
