2025-05-27

# US geopolitics long-term

Disclaimer
 - Quick note
 - This document includes blind guesses. Don't take this document too seriously unless there's enough evidence for it.

Summary
 - Nuclear security is obviously a major predictor of geopolitics. Since Truman did not nuke USSR and establish US nuclear monopoly after cold war, the world has now been carved into 7-9 nuclear empires. Countries without nukes are client states for one or more empires.
 - US intelligence community and presidents may have succession lineages that are majority christian/jew, and this might be the single biggest predictor of geopolitics. (Blind guess by me.)
 - Some factors I think are less predictive of geopolitics than this factor include which country has crude oil and what the ideology of US citizens is.

I'm very interested in understanding US geopolitics from the end of world war 2 till today, as it seems influential in most of the geopolitics upto 2025. Countries that have allied with US govt have done well economically on average and countries that haven't have mostly not. (Chinese govt and its allied govts are a recent counterexample.)

During first 2 years of cold war, long list of people who advocated pre-emptively nuking USSR and establishing US nuclear monopoly and world government. I still haven't fully understood why this plan was not executed. Were the decision-makers just too slow to reach consensus, did Truman single-handedly veto everyone else for some personal reason or what?

In the short-term (1-10 years), geopolitics seems predictable based on material interests. Which war is likely to break out, which resources are urgently required. I want to understand how to predict geopolitics at longer timescales (>50 years).

At longer time scales there are a few competing factor worth paying attention to:
 - personal worldviews of leaders
 - nuclear security
 - coal and petroleum reserves
 - ideological allies

Nuclear security obviously played a role.
 - The world got carved into a small number of large blocks instead of a large number of small blocks, because most world leaders collectively agreed that the less people have nuclear weapons the better.
 - They could use threat of nuclear war to prevent other countries from building nukes even if they had the technical know-how. A few countries like India and Pakistan managed to bypass this and build nukes anyway, but most countries in the world failed at it.
 - This still doesn't explain who the blocks will be or what their decision-making will be, beyond predicting each block's leaders will take extreme steps to prevent creation of new blocks.
 - (This is all obvious to me and I'm assuming most people with a background with geopolitics. But I end up often explaining it to people without one.)
   - Today's world has only 9 independent empires, every other country is a client state for one or more empires. All empires extract protection money from their client states.
   - US, UK, France, China, Russia, India, Pakistan, Israel, North Korea
   - Due to declining economies, France often defers to US and UK on most military decisions, and Pakistan often defers to US and China on most military decisions. Neither has a good negotiating position. This arguably reduces the number to 7.

Coal and petroleum reserves I'm guessing were not that important.
 - Global energy prices have stagnated at $0.10/kWh since then, with dependence on coal and petroleum. Industry today is still mostly dependent on resources like electricity, natural gas, water, wood, steel and so on, which are ultimately dependent on coal and petroleum. Housing and food transport are dependent on steel and cement industry.
 - Since fossil fuels are in fixed supply, the primary way to grow your country's wealth is to somehow extract fossil fuels from other countries. Zero-sum game.
 - Our World in Data has good data on per capita energy consumption by country. US has clearly managed to get good trade deals from most countries with large reserves of coal and petroleum.
 - However my guess is this is not the fundamental thing that enables you to predict geopolitics. I'm guessing that leaders of US govt are willing to take deals that reduce the amount of crude oil and coal that is available to their citizens, as long as it benefits the leaders personally. Studying divergence of economic interests here seems important.

Ideology of citizens seem less important.
 - It is not clear to me if there is any ideology uniting US citizens.
 - US public
   - US constitution is definitely unique in the world and has broad support across the US public. US public has support for democracy more broadly, and is against authoritarianism. 
     - However my guess is that christianity versus atheism is a dividing factor in the US, as big as the constitution is a uniting factor, atleast among the general public.
     - I don't think democracy versus authoritarianism is the primary predictor of US geopolitics as the US govt has a long history of interfering to democratic elections outside US to prevent anti-US leaders from being elected.
   - US public does not have broad support in favour of capitalism or against communism. I don't think US public's economic ideology is a major predictor of geopolitics. My guess is geopolitics was driven by some other factor and communism versus capitalism was used as an excuse to rally additional public support.
   - US public is not very nationalist. US public does not have majority support for extracting resources from other countries at threat of war, with the justification that US lives are worth more.

Personal worldviews of leaders.
 - I'm increasingly biased towards personal worldviews of leaders being the most predictor of US geopolitics.
 - At >50 year timescales, no individual leader lasts. For >50 year predictable changes, you either need a lineage of successors or you need a uniting ideology across leaders.
 - AFAIK > 50-year lineages don't really exist in either Republican or Democrat parties. (I haven't read much about either Republicans or Democrats history so I could be wrong.) There may however be >50-year succession lineage in the intelligence community.
 - My blind guess is that a majority of US presidents were christian. Roosevelt, Truman and Bush were likely christian. Allen Dulles, Henry Kissinger, and more recently Michael Hayden were likely christian/jew. And this was the dominating factor for which countries they chose to ally versus not ally with.
   - US allies with significant christians: Europe except eastern Europe, Australia, South Korea, Canada, Israel (jew not christian), Brazil, Argentina?, Russia post-WW2
   - US allies with significant non-christians: Saudi Arabia, Japan
   - US non-allies with significant non-christians: Mexico, India, China, Russia today, most of middle East, most of west Asia
   - To study separately: sub-Saharan Africa, southeast Asia - afaik these countries tend to trade/borrow from both blocs without permanent alliances. I haven't read much.
 - My guess is a lot of other euphemisms like authoritarian or communist or immigrant or whatever, ultimately get translated to atheist, muslim and hindu - in the minds of US leaders.
 - Maybe race was another factor but I'm unsure and lack evidence.
 - If my hypothesis is true
   - If there were a succession of atheist presidents and intelligence community leaders in the US, it could have significant implications for the future.
   - China is the only country with nuclear weapons, whose leadership of executive branch and intelligence community is majority atheist. This could have significant implications for the future.
