2025-06-02

# Use AI with my website

Disclaimer
 - I still support a complete ban on AI R&D. Using AI features does not mean I'm pro-AI.

**Update (2025-06-02)**
 - Arc Max, Safari and Chrome now support some of these features. If not, try finding a good browser extension.
 - I now consider it waste of my time to work on these features.
 - **It's now obvious to me that in the long run, all these AI features are best implemented at the browser level.**
   - Individual websites shouldn't implement them. OSes shouldn't implement them. Browser extensions shouldn't implement them. Locally run software taking screenshots is not a good implementation as of 2025-06. (AI is smart enough to read screenshots but this is unnecessarily expensive.)
 - Within 1-3 years, Safari and Chrome will likely support most of these features.

Here's some ways to use AI to improve your experience browsing this website.

The broader thesis I'm betting on is that as long as the raw content is present in a folder, AI can do everything else with the content - simplify it, style it, translate it, do voiceover etc.

#### Original

See: /raw/

Contains all the static files of my website, including markdown, images, audio and video.

See: /raw/text_english/

Contains all the text content of my website in markdown format.

#### Audio/Video

See: /raw/english_video_ai_generated_{date}

Generated using: OpenAI DALLE-3 images, ElevenLabs audio voiceover

This may have inaccuracies or be outdated. You can also use AI to generate this yourself.

Current
 - Use the voiceover I've generated.
 - Browser or browser extension that supports voiceover.
   - Update: safari does this. Right click > Speech > Start speaking

Future
 - All browsers will natively support voiceover.

#### Search

See: /raw/misc/english_singlepage_{date}.md

I have dumped my entire website contents into a single page called "singlepage, so it is easier to copy-paste.

I have updated my robots.txt but OpenAI still refuses to crawl my website.

Current
 - Use the singlepage I've generated, do ctrl+F 
 - Use the singlepage I've generated, copy-paste it to an AI, and ask a question.
 - Go to singlepage I've generated, and ask browser or browser extension to accept the page as a prompt.
   - Update: Arc max does this
 - Some AI company will crawl the website client-side, so no singlepage needed.
   - Update: perplexity.ai does this.

Future
 - Some AI company will crawl the website server-side, so no singlepage needed.
   - Legal liability might be a reason they're avoiding doing this. I'm unsure. Maybe they don't want to be held responsible for sending GET requests on IPs with bad reputations. Or they don't want to handle responses containing data of malicious intent.
 - All browsers will crawl the website client-side, so no singlepage needed.

#### Styling

My website does not do any styling (font family, font size, line spacing etc), so the styling used is your browser default.

Current
 - Safari > Settings > Advanced > Stylesheet. Ask latest AI (try openai o3) to write a css stylesheet for you and insert it here. This changes the default styling for your entire browser.
 - Install greasemonkey or similar browser extension. Ask latest AI to write a css stylesheet for you, and a JS script to insert this stylesheet. This changes the styling only for specified websites.
 - Copy paste the markdown files locally and view them in a text editor or markdown editor. Change styling here.

Future
 - All browsers will natively support AI-generated CSS.

#### Voice input

Current
 - Manually copy-paste "singlepage" into OpenAI Realtime API playground, and ask it questions.

Future
 - WebRTC client connecting to OpenAI Realtime API (audio), with this website's content injected as context

#### Language translation

Current
 - Browser or browser extension that does page translations to other languages
   - Arc max does this.

Future
 - All browsers will natively support language translation.

#### Summaries, simplified english

Current
 - Browser or browser extension that does summaries and simplified english
   - Safari, Arc mac do this.

Future
 - All browsers will natively support summaries and simplification.

#### Full stack

See: /raw/misc/english_tarball_{date}

I have generated a tarball of the text content of my website.

Current
 - If you want to do something more complicated (such as doing many of the above steps together), you can download the tarball and then ask AI to write a bash pipeline for you that does all the necessary steps.

Future
 - AI will directly crawl whole website client-side.

#### No payments

I don't want to invest energy into supporting payments.

Current
 - Some AI features not supported.

Future
 - App doesn't need to process payments
   - There would be a lot more AI apps if each app didn't need to separately collect payments from end user.
   - Legal liability might be a reason they're avoiding doing this. I'm unsure. Maybe OpenAI wants an app dev who they can hold responsible for API inputs with malicious intent.
